2010-07-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs: Used
	  fast text search.

2010-07-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 625064 - Internal classes aren't suggested for
	  completion'.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  fixed highlight usages extension.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  No longer transform the editor contents to text when using
	  the expression finder - the expression finder now uses the
	  text editor directly.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: Added
	  check for #else span.

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Refactoring/CSharpRefactorer.cs:
	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Worked on text edior performance issues / needed to
	  restructure the resolver/member reference collector a bit.

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs: Don't parse
	  method bodies for the MonoDevelop dom (skipping these is
	  much faster & more memory efficient).

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: Track
	  API changes.

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs: Updated to new
	  mcs.

2010-07-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  'Bug 623308 - ArgumentOutOfRangeException after typing ( for
	  method params'.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs:
	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:
	* MonoDevelop.CSharp.Highlighting/MoveToUsagesHandler.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Track API changes.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryIndexerParameterDataProvider.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryTemplateParameterDataProvider.cs:
	  Track API changes.

2010-07-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: Track
	  API changes.

2010-07-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:
	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	  Track API changes.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryIndexerParameterDataProvider.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryTemplateParameterDataProvider.cs:
	  Worked on 'Bug 621658 - Parameter hints disappear
	  afterkeystroke'.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpBinding.addin.xml:
	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs:
	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	  Track ProjectDomService/Parser API.

2010-07-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs:
	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	  Enhanced support for keyword like names.

2010-07-08  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Completion/DropDownBoxListWindow.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	  Worked on version control gui.

2010-07-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpIndentEngineStack.cs:
	  added bounds check

2010-07-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpIndentEngineStack.cs:
	  added bounds check

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpIndentEngineStack.cs:
	  Indenting should now reflect the mono style.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpIndentEngineStack.cs:
	  Indenting should now reflect the mono style.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Worked on region box.

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Region combo is now separated from the rest of the path.

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed 'Bug
	  615992 - Intellisense broken when calling generic method.'.

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 619799 - Renaming variable also invokes
	  auto-complete'.

2010-07-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs:
	* MonoDevelop.CSharp.Completion/DropDownBoxListWindow.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Worked on quick navigation bar

2010-07-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Improved handling of inner classes.

2010-07-02  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Completion/DropDownBoxListWindow.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  C# editor extension now uses the IPathedDocument subsystem.

2010-07-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 618676 - C# code editor removes "override" word
	  after choosing one of intellisense variants'.

2010-06-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs: Added support for
	  fixed fields & constants.

2010-06-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs: Fields are now
	  working.

2010-06-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Submitted patch from Tom Spink <tspink@gmail.com>: Update to
	  generic code completion

2010-06-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs: fixed
	  bug in abstract member overriding.

2010-06-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	  Added bounds check.

2010-06-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Only update changed lines.

2010-06-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	  Fixed 'Bug 615988 - Go to declaration not available on
	  generic methods'.

2010-06-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 615983 - Refactoring does not include object
	  initializers'.

2010-06-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/DestructorDeclaration.cs:
	  Worked on C# parser.

2010-06-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs: Updated parser to
	  Marek's new LocationsBag/latest mcs changes.

2010-06-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.xml:
	  Removed 'DoNotChange' option - will be availble with the
	  next gen formatter (fixes Bug 615763 - C# code formatting
	  throws exception when choosing "Do not change" from menu).

2010-06-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 615702 - In-place variable renaming can't rename
	  foreach loop variables'.

2010-06-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	  Worked on new parser/formatter.

2010-06-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	  Fixed 'Bug 615182 - Tooltip sometimes stays up too long'.

2010-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	  Remove debug writelines.

2010-06-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Optimized performance.

2010-06-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Respect UTF-8 coordinates in highlight usages extension.

2010-06-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed unit test.

2010-06-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 614045 - Types hidden by members are not
	  formatted properly by ambience'.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs: Track
	  api changes.

2010-06-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  update line when removing marker.

2010-06-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Fix build.

2010-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	  Track API. Fix region offset.

	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs: Track
	  API. Include both body regions for properties.

2010-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs: Track
	  API. Emit regions for members.

	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	  Use body regions to select body or place caret, and to
	  remove generated body when GenerateBody is false.

2010-06-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs: Fix
	  property getter in overrides.

2010-06-04  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/ConsoleProject.xpt.xml: Set the external console
	  flag for console projects.

2010-06-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: Track
	  API changes.

2010-06-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	  Fixed LINQ resolve error.

2010-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs: handled other case
	  of unresolveable types.

2010-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs: make it clearer
	  that the type can't be resolved.

2010-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Handled
	  unresolved return types

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs:
	  Corrected base call.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs:
	  Corrected type name output.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs:
	  Removed some code duplication.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Refactoring/CodeGenerator.cs:
	* MonoDevelop.CSharp.Refactoring/CSharpRefactorer.cs:
	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs:
	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	  Code generator get's now used by code completion auto
	  generation & insert code feature.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs:
	  Worked on code generation.

2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* MonoDevelop.CSharp.Refactoring/CodeGenerator.cs:
	* MonoDevelop.CSharp.Refactoring/CSharpCodeGenerator.cs:
	  Worked on c# code generation.

2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: Fixed
	  'Bug 610241 - #elif Coloring Messed'.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/MoveToUsagesHandler.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Worked on highight usage extensions & Bug 610048 - Sometimes
	  symbol highlight is not cleared.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Handled multiple type overloads.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 610011 - Extension methods incorrectly trump real
	  members'.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed 'Bug
	  610006 - Intellisense gives members of return type of
	  functions even when that function isn't invoked'.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 609999 - Intellisense confuses Array initializers
	  with object initializers'.


2010-05-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs: Fixed
	  'Bug 608910 - Getting a "File not found" exception in
	  monodevelop that doesn't allow me to build :('.

2010-05-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 609528 - No Intellisense for LINQ join'.

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 600624 - Property initializer completion
	  unreliable'.

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Track API changes.

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs: UseFullName flag
	  works now for members.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fix grammar.

2010-05-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed local lookup for ASP.NET.

2010-05-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Disabled paste formatting (Bug 606041 - Additional blank
	  line after every text line then text is pasted from
	  clipboard).

2010-05-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Fixed 'Bug 606884 - Control-enter in doc comments doesn't
	  prefix the new line'.

2010-05-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Fixed
	  'Bug 606959 - switch case completion doesn't handle
	  namespaces properly'.

2010-05-20  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Completion/CompletionTextLinkMode.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	  Implemented request in 'Bug 607366 - Text link mode can
	  break texteditor badly'.

2010-05-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Improved semicolon auto placement.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 534680 - LINQ keywords missing from
	  Intellisense'.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs: Fixed 'Bug 606506
	  - Types of fields are not shown'

2010-05-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	  Fixed 'Bug 606212 - Allow delegate renaming straight after
	  creation'.

2010-05-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Implemented 'Bug 606227 - Search reodering not available for
	  "override" completions.'.


2010-05-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Unsubscribe editor events.

2010-05-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  catch exception in highighit usages extension.

2010-05-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Fixed 'Bug 606217 - Auto-placed semi-colon doesn't take
	  account of comments'

2010-05-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 606048 - Parameter insight re-shows on every
	  newline even when disabled'.

2010-05-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed 'Bug
	  605235 - Inaccessible functions do not show "Goto
	  Declaration" in context menu'.

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 604593 - Autocomplete list sorting wrong when
	  grouping by class.'.

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	  fixed 'Bug 605134 - NRE when using (an abstract class ctor?)
	  MulticastDelegate ctor'.

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Added some bounds checking.

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Set
	  obsolete flag for obsolete members.

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/MoveToUsagesHandler.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Implemented 'Bug 605009 - Control-shift-up/down do not work
	  until highlight triggers'.

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Fixed 'Bug 605008 - Weird symbol highlighting'.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  set text editor for the resolver.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs:
	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	  Track API changes.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs:
	* MonoDevelop.CSharp.Dom/Expressions/QueryExpression.cs: Fixed
	  compile warnings.

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Optimized highlight usages extension & find member visitor.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightCSharpSemanticRule.cs:
	  Fixed 'Bug 604558 - Wrong code syntax highlighting when
	  previous line have a comment'.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Fixed 'Bug 603971 - Symbol highlight combined with search
	  highlight looks ugly'.

2010-05-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 603733 - Pressing '!' with the autocomplete
	  window open breaks'.

2010-05-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  speed up the findmemberastvisitor.

2010-05-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Only re-indent if there is need.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Make use of the new Document.Dom property.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	  Fixed 'Bug 603282 - Autogenerated method name is invalid'.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  fixed 'Bug 603344 - Matching in completion list'.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  fixed find member references for local variables.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  local variable off by 1 error.

2010-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* templates/GladeSharp2Project.xpt.xml:
	* templates/GnomeSharp2Project.xpt.xml:
	* templates/GtkSharp2ProjectMac.xpt.xml: Remove deprecated
	  Gnome# and Glade# project types, and add a Mac-specific GTK
	  template that doesn't use Stetic.

2010-05-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Fixed
	  'Bug 596609 - Parameters tooltips not escaping generics in
	  markup'.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	  Dispose the lexer after use.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoCSharpPolicy.xml: Added attribute to explicitly allow
	  differential serialization for a policy (which is disabled
	  by default).

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* CSharpBinding.addin.xml: Set mac shortcut.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* MonoDevelop.CSharp.Highlighting/MoveToUsagesHandler.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Fixed 'Bug 601436 - Command to cycle through highlighted
	  references'.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed 'Bug
	  601350 - Null ref in highlighting/tooltips'.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 600994 - Method highlight should match all
	  methods of the generic class'.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Fixed 'Bug 601028 - Move line reindenting flattens indents'.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 601007 - Error in highlight usages extension.'.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  fixed 'Bug 601021 - Identifier highlighting assumes
	  constructors but draws box incorrectly'.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: fixed
	  'Bug 601169 - IntelliSense ignores inner classes'.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs:
	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	  fixed 'Bug 600617 - Generic params in override completion
	  are doubly escaped'.

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp.Formatting\CSharpFormatter.cs: Use the
	  correct EOL marker.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Track
	  API changes.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  fixed 'Bug 600273 - as/is completion too restrictive'.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  fixed 'Bug 599632 – Completion list should be in suggest
	  mode for generic parameter declaration'.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CodeGenerator.cs: Fixed 'Bug
	  599627 - Implement implicit interface generated wrong code'.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: fixed
	  code completion issue.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* templates/GladeSharp2Project.xpt.xml:
	* templates/GnomeSharp2Project.xpt.xml: Fixed some templates.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Fixed 'Bug 598831 - Symbol highlight should not activate
	  while there is a selection'.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 598822 - Symbol highlight has wrong position with
	  qualified names'.

2010-04-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed possible null reference.

2010-04-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpNRefactoryASTProvider.cs:
	  Fixed 'Bug 598563 - NRE right-clicking on symbol in
	  standalone file'.

2010-04-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Worked on ASP.NET completion.

2010-04-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Raised highlight usages delay.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 597671 - The += completion does not handle inner
	  class eventargs properly'.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Patch applied from Tom Spink <tspink@gmail.com>: Where
	  Constraint Completion

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Fixed 'Bug 597717 - Incorrect indentation using smart
	  indent'.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Fixed 'Bug 597663 - Symbol highlight hides and re-shows at
	  end of word'.

2010-04-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Added
	  null check.

2010-04-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs:
	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Optimized HighlightUsagesExtension (no additional re-parse).

2010-04-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  code completion bug.

2010-04-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: fixed
	  possible null ref.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Implemented 'Bug 595598 - Intelligent placing of
	  semi-colons'.


2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs:
	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Implemented 'Bug 595587 - Move code block to correct depth
	  when Alt+arrow moving'.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 595606 - Refactoring (renaming) can alter
	  unrelated classes'.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  de-activated usage highlighting in text link mode.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	  Made usage highlighter more robust.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightUsagesExtension.cs:
	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	  Implemented 'Bug 595230 - Highlight all usages of symbol
	  under cursor'.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Implemented 'Bug 595198 - Override completion should select
	  body so it can be deleted'.

2010-04-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fix NRE when opening a file with no open project.

2010-04-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	  Fixed 'Bug 578195 - Wrong ctor shown on base() call'.

2010-04-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpIndentEngine.cs: Fixed
	  'Bug 415469 - return ternary in a switch is not tabbed
	  properly'.

2010-04-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpNRefactoryASTProvider.cs:
	  Added a 'last errors' property.

2010-04-08  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* MonoDevelop.CSharp.Formatting/FormattingPanel.cs:
	* MonoDevelop.CSharp.Formatting/CSharpIndentEngine.cs:
	* MonoDevelop.CSharp.Formatting/CSharpIndentEngineStack.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingProperties.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	* gtk-gui/MonoDevelop.CSharp.Formatting.FormattingPanelWidget.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	  Fixed 'Bug 579358 - Smart indenter does not use policies,
	  separate prefs confusing'.

2010-04-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  'Bug 576354 - Type inference failure'.

2010-04-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/OnTheFlyFormatter.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.xml:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Added option for 'Bug 593635 - Auto-formatting doesn't allow
	  single-line if statements'.

2010-04-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs: fixed
	  possible null ref.

2010-04-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed 'Bug
	  592120 - Type resolver bug with this.Property[]'.

2010-03-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp\CSharpBindingCompilerManager.cs: On
	  windows, make sure the compiler output is written and read
	  using utf8.

2010-03-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  handled cast exception.

2010-03-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Formatting/DomSpacingVisitor.cs:
	* MonoDevelop.CSharp.Formatting/OnTheFlyFormatter.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Worked on new formatter.

2010-03-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/TypeMembers/AbstractMember.cs:
	* MonoDevelop.CSharp.Dom/Expressions/CastExpression.cs:
	* MonoDevelop.CSharp.Dom/Statements/ForeachStatement.cs:
	* MonoDevelop.CSharp.Dom/Expressions/QueryExpression.cs:
	* MonoDevelop.CSharp.Dom/Statements/TryCatchStatement.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/DelegateDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ObjectCreateExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/MemberReferenceExpression.cs:
	* MonoDevelop.CSharp.Dom/Statements/VariableDeclarationStatement.cs:
	  Changed return type properties.

2010-03-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/Expressions/QueryExpression.cs:
	  Worked on LINQ expressions.

2010-03-23  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Dom/FullTypeName.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/Constraint.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/TypeDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/MethodDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/IdentifierExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/MemberReferenceExpression.cs:
	  Handled templates & constraints.

2010-03-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	  Removed duplicate section.

2010-03-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	  Submittet patch send by ' Eugene Kulabuhov
	  <eugene.kulabuhov@gmail.com>': Fixed MemberResolveResult
	  clause incorrectly handling MethodResolveResult type as
	  well.

2010-03-23  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomSpacingVisitor.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/FieldDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/LambdaExpression.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/MethodDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ArgListExpression.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/IndexerDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/ArgumentDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/OperatorDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/StackAllocExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/InvocationExpression.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/ConstructorDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/BaseReferenceExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/AnonymousMethodExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ArrayObjectCreateExpression.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/ParameterDeclarationExpression.cs:
	  Worked on new DOM.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CSharpBinding.addin.xml: Bumped MD version.

2010-03-22  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomSpacingVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Dom/Expressions/IndexerExpression.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.xml:
	* MonoDevelop.CSharp.Dom/TypeMembers/IndexerDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/OperatorDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ObjectCreateExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ArrayObjectCreateExpression.cs:
	  Worked on new dom/parser/formatter.

2010-03-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Formatting/DomSpacingVisitor.cs:
	* MonoDevelop.CSharp.Dom/Statements/WhileStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/IfElseStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/SwitchStatement.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/EventDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/TypeDeclaration.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Dom/Statements/TryCatchStatement.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/PropertyDeclaration.cs:
	  Worked on new formatting engine/parser/dom.

2010-03-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/Statements/IfElseStatement.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	  Worked on indenter.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs: Always
	  use the full file name for assembly references. Some
	  assemblies from core packages are not located in the
	  compiler directory, so a full file name is required.

2010-03-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/Indent.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/Statements/BlockStatement.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.xml:
	  Worked on indenter.

2010-03-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: fixed
	  potential ms build problem.

2010-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed failing
	  unit test.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.csproj: Remove import off mono.addins targets.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs:
	* MonoDevelop.CSharp.Formatting/FormattingPanel.cs:
	* MonoDevelop.CSharp.Project/CodeGenerationPanel.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:
	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs:
	* MonoDevelop.CSharp.Project/CSharpCompilerParameters.cs:
	* MonoDevelop.CSharp.Project/CompilerOptionsPanelWidget.cs:
	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicyPanel.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightCSharpSemanticRule.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryIndexerParameterDataProvider.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryTemplateParameterDataProvider.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed 'Bug
	  588223 - Intellisense does not recognize nested generics
	  correctly.'.

2010-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryTemplateParameterDataProvider.cs:
	  Fixed 'Bug 588366 - Intellisense broken for nested generic
	  types'.

2010-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs:
	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryTemplateParameterDataProvider.cs:
	  Fixed 'Bug 588220 - No intellisense for generic methods.'.

2010-03-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightCSharpSemanticRule.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	  Track API changes.

2010-03-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 587530 – for/foreach rename refactoring ignores
	  the scope'.

2010-03-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs: Handled generated
	  blocks/fixed some unit tests.

2010-03-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/Statements/ForStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/LockStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/YieldStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/FixedStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/UsingStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/WhileStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/EmptyStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/CheckedStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/ForeachStatement.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Dom/Statements/UncheckedStatement.cs:
	* MonoDevelop.CSharp.Dom/Expressions/PointerReferenceExpression.cs:
	  Worked on new indenter/dom.

2010-03-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed 2nd
	  bug described in 'Bug 586304 - Intellisense does not show
	  several linq extenion methods when using nested generic
	  type'.

2010-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/CSharpTokenNode.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/CSharpModifierToken.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/PropertyDeclaration.cs:
	  Worked on indenting engine.

2010-03-09  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Formatting/Indent.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomSpacingVisitor.cs:
	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ThisReferenceExpression.cs:
	  Worked on new formatter/parser.

2010-03-05  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpBinding.csproj: Don't local-copy project refs, as it
	  duplicates assemblies and breaks running on .NET.

2010-03-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	  Removed debug message.

2010-03-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/Statements/SwitchStatement.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Dom/Expressions/TypeOfExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/SizeOfExpression.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/MethodDeclaration.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Dom/Expressions/CheckedExpression.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.xml:
	* MonoDevelop.CSharp.Dom/Expressions/UncheckedExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/AssignmentExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ParenthesizedExpression.cs:
	  Worked on dom/formatter/parser.

2010-03-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 585454 - Lacking one reference to an enum type'.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Project/CSharpResourceIdBuilder.cs: Track
	  ProjectFile Link API.

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	  fixed bug in resolver provider.

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	  fix unit test.

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* MonoDevelop.CSharp.Resolver/TextEditorResolverProvider.cs:
	  Refactored text editor resolve providers. Language bindings
	  now can provide own providers.

2010-03-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	  Fixed 'FindExpression' in expression finder.

2010-03-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpTokenNode.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/Statements/UsingStatement.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	  Worked on DOM formatter/parser.

2010-03-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs: Convert operator
	  declaration bodies.

2010-03-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fix the rest
	  of the failing DomProperty tests.

2010-03-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs: Fix indexer
	  assignment that caused failing unit tests.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs: Fixed 'Bug
	  583515 - No code completion for set-only properties'.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: When a member
	  can't be resolved, a special resolve result is created.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs: Ambiences can now
	  format delegates & take formatting policies.

2010-02-26  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Dom/Identifier.cs:
	* MonoDevelop.CSharp.Dom/ICSharpNode.cs:
	* MonoDevelop.CSharp.Dom/FullTypeName.cs:
	* MonoDevelop.CSharp.Dom/CSharpTokenNode.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/AbstractCSharpNode.cs:
	* MonoDevelop.CSharp.Dom/Expressions/CastExpression.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomIndentationVisitor.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Dom/Expressions/PrimitiveExpression.cs:
	  Worked on formatting visitor/dom.

2010-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	  Now using the BaseRefactorer.IsMonoTouchModelMember method.

2010-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs:
	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	* gtk-gui/MonoDevelop.CSharp.Formatting.FormattingPanelWidget.cs:
	  Worked on 'Bug 583014 - Need a way to stop override
	  generating base call'.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/Statements/LockStatement.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Dom/Statements/TryCatchStatement.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* gtk-gui/MonoDevelop.CSharp.Formatting.FormattingPanelWidget.cs:
	  Worked on formatting visitor/dom.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: fixed failing
	  unit test.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/Statements/ForStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/WhileStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/IfElseStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/ForeachStatement.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Dom/Expressions/PrimitiveExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/InvocationExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ConditionalExpression.cs:
	  Worked on DOM & formatting visitor.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	  Fixed 'Bug 583014 - Need a way to stop override generating
	  base call'.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs: Fixed 'Bug 583006
	  - Enum members are prefixed with an enum name, in the
	  Document Outline pad' / applied patch from Alexander
	  Cherniuk <ts33kr@gmail.com>

2010-02-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/Identifier.cs:
	* MonoDevelop.CSharp.Dom/FullTypeName.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Dom/Expressions/BinaryOperatorExpression.cs:
	  Worked on c# formatter & dom.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs: Fix
	  skipping duplicate refs.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpIndentEngine.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Implemented 'Bug 429265 - #region reindentation does not
	  work with autocompletion'

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: fixed
	  'Bug 582016 – Switching build configuration does not
	  re-highlight conditional comments'.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpIndentEngine.cs: fixed
	  'Bug 429265 - #region reindentation does not work with
	  autocompletion'.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: fixed
	  pre processor tag highlighting.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: fixed
	  'Bug 582021 - parsing of nested conditional comments is
	  broken'.


2010-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj: Fix build.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  'Bug 582017 - C# Generic Type Constraints'.

2010-02-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/Statements/FixedStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/ForeachStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/TryCatchStatement.cs:
	  Worked on dom.

2010-02-22  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs: fixed 'Bug
	  578439 - Return key acts crazy in MonoDevelop'.

2010-02-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed bug in
	  array item lookup.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* AspNet:
	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* MonoDevelop.CSharp.Completion/AspLanguageBuilder.cs: Moved
	  AspLanguageBuilder to its own assembly and module. Dropped
	  Asp.Net dependency.

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Filtering by extension is now done by the document.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Track
	  api changes.

2010-02-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: Fixed
	  'Bug 580427 - Exception, then crash while editing text.'.

2010-02-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Categories are now sorted.

2010-02-16  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Dom/Identifier.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/Statements/GotoStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/WhileStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/IfElseStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/ExpressionStatement.cs:
	  Worked on new C# DOM.

2010-02-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	  Fixed 'Bug 576336 - Parameter tooltip window stops working'.

2010-02-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  'Bug 577225 - Inconsistent autocomplete on returned value of
	  generic method.'.

2010-02-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	  worked on c# parser.

2010-02-08  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/Expressions/IsExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/AsExpression.cs:
	* MonoDevelop.CSharp.Dom/Statements/EmptyStatement.cs:
	* MonoDevelop.CSharp.Dom/Expressions/TypeOfExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/SizeOfExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ConditionalExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/DefaultValueExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/UnaryOperatorExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ThisReferenceExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/BinaryOperatorExpression.cs:
	  Worked on parser/new dom.

2010-02-07  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Dom/FullTypeName.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/OperatorDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/PropertyDeclaration.cs:
	  worked on mcs based parser/new dom.

2010-02-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	  Worked on DOM visitor.

2010-02-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/ICSharpNode.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/CompilationUnit.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	  Worked on mcs parser/dom.

2010-02-02  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Dom/Identifier.cs:
	* MonoDevelop.CSharp.Dom/CSharpTokenNode.cs:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/CompilationUnit.cs:
	* MonoDevelop.CSharp.Dom/AbtractCSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Formatting/DomFormattingVisitor.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/TypeDeclaration.cs:
	  Worked on new dom/gmcs based parser.

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  fixed code completion activation in some cases.

2010-02-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  added completion context for boolean variables (case:
	  "varName = ").

2010-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	  handle collection initalizers.

2010-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	  fixed intellisense bug found by Marek.

2010-01-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Kill debug code that spammed MD's stdout.

2010-01-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Track API changes.

2010-01-21  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.addin.xml: Remove unused extension.

2010-01-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Added '!' as special closing key.

2010-01-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs: fixed bug
	  in auto formatting.

2010-01-20  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.xml:
	* gtk-gui/MonoDevelop.CSharp.Formatting.FormattingPanelWidget.cs:
	* gtk-gui/MonoDevelop.CSharp.Project.CodeGenerationPanelWidget.cs:
	* gtk-gui/MonoDevelop.CSharp.Project.CompilerOptionsPanelWidget.cs:
	  Implemented 'Bug 550947 - Arrays initailizers should not
	  automatically be split on multiple lines'.

2010-01-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	  brace forcement is now saved.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs:
	* MonoDevelop.CSharp.Refactoring/CSharpNRefactoryASTProvider.cs:
	  Track api changes.

2010-01-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  fixed 'Bug 571175 - ArgumentNullException in C# code
	  completion'.

2010-01-15  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj: Fix NRefactory project reference
	  AGAIN.

2010-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs: removed
	  debug messages.

2010-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs: fixed 'Bug
	  569545 - [Windows] TextEditor sometimes adds LF on Windows'.

2010-01-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: fixed 'Bug
	  568484 - NRE in resolver'.

2010-01-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: fixed
	  'Bug 566544 - Locals and parameters are often not
	  completed'.

2010-01-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  'Bug 568204 - Inconsistency in resolution'.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs: Fixed 'Bug 567906
	  - Given error of .NET 3.0 in .NET 3.5 project'.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: defines
	  get updated by the source editor on parse event.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: fixed 'Bug
	  561964 - Wrong type in tooltip when there are two properties
	  with the same name'.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: fixed
	  'Bug 561589 - Infinite loop throwing an exception crashes
	  system'.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs: fixed
	  'Bug 560510 - Preprocessor enabled code shows as comment
	  anyway'.

2009-12-21  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/GtkSharp2Project.xpt.xml:
	* templates/GnomeSharp2Project.xpt.xml:
	* templates/GladeSharp2Project.xpt.xml: Set correct assembly
	  target for gui projects.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs: If C#
	  compiler crashes, copy the stderr file to the monitor,
	  report error message telling user to look there, and log
	  location of the temp response/stderr/stdout files and avoid
	  deleting them. Fixes "Bug 515013 - Compiling; a method call
	  on an object that does not exist produces incomprehensible
	  /tmp/*.tmp error".

2009-12-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Completion/AspLanguageBuilder.cs: Worked
	  on ASP.NET support.

2009-12-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: fixed
	  unit test.

2009-12-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Completion/AspLanguageBuilder.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Worked on ASP.NET completion.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp/CSharpLanguageBinding.cs:
	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs:
	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:
	* MonoDevelop.CSharp.Project/CompilerOptionsPanelWidget.cs:
	  Introduced the ConfigurationSelector class to all methods
	  that previously took a configuration name as string. This
	  eliminates the ambiguity between solution configuration
	  names and project configuration names.

2009-11-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs: Use 
	  correct property for identifying runtime.

2009-11-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs: Ignore
	  the platform flag with Mono <= 2.4, because mcs/gmcs didn't
	  support it.

2009-11-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs: Emit the
	  target platform option. Fixes bug #557146.

2009-11-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Fixed
	  possible null ref exception.

2009-11-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'var a = new int' case.

2009-11-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  'Bug 555672 - Crash when trying to autocomplete'.

2009-11-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed 'Bug
	  555523 - C# code completion gets confused by extension
	  methods with same names as properties'.

2009-11-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Fixed
	  'Bug 555504 - Completion of generic types commits <T>'.

2009-11-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Fixed
	  'Bug 554376 - Overridden members show in completion as
	  overloads'.

2009-11-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Fixed
	  'Bug 554688 - Accesting param name from completion list
	  commits param type'.

2009-11-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs: Fixed
	  'Bug 554376 - Overridden members show in completion as
	  overloads'.

2009-11-11  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp/CustomCSharpCodeGenerator.cs: Remove the
	  forked code generator.

2009-11-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CSharpEnhancedCodeProvider.cs: Disable
	  Mike's custom CodeDOM generator as it's totally broken for
	  delegates, and breaks web refs. Had to stay late to push out
	  a stable bugfix release for this, and missed the last train
	  home.

2009-11-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 553101 – Enum completion does not use type
	  aliases'.

2009-11-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	  Fixed 'Bug 552332 - Parameter insight re-shows inside anon
	  delegates on every newline'.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CSharpBinding.addin.xml: Bump MD version.

2009-10-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightCSharpSemanticRule.cs:
	  Fixed 'Bug 551068 - Semantic highlighting crashes MD.'.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.CSharp.Formatting.FormattingPanelWidget.cs:
	* gtk-gui/MonoDevelop.CSharp.Project.CodeGenerationPanelWidget.cs:
	* gtk-gui/MonoDevelop.CSharp.Project.CompilerOptionsPanelWidget.cs:
	  Flush.

2009-10-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 549858 - Refactoring does not change properties
	  in lambda expressions'.

2009-10-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CodeGenerator.cs: fixed Bug
	  550024 - "resolve using" moves cursor to the added using.

2009-10-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  'Bug 549864 - Intellisense does not work properly with
	  expressions'.

2009-10-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Fixed
	  faling unit test.

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Respect the parameter insight option.

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CodeGenerator.cs: Fixed "Bug
	  549130 - "resolve" adds using st. at wrong place when
	  namespace and classname conflict".

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	  Fixed 'Bug 548941 - Generated event handler doesn't account
	  for missing using statements'.

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	  implemented 'Bug 548711 - generated event handlers names
	  should always contain "Handle"'.

2009-10-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpNRefactoryASTProvider.cs:
	  handled in extract method.

2009-10-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpNRefactoryASTProvider.cs:
	  Fixed 'Bug 548367 - Extract method adds an unwanted newline
	  at the end'.

2009-10-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CodeGenerator.cs: Overworked
	  new member positioning code.

2009-10-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/CSharpNRefactoryASTProvider.cs:
	  Fix 'Bug 545270 - Move type to another file - part 1'.

2009-10-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 547949 - Rename partial classes does not rename
	  both classes'.

2009-10-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp/CustomCSharpCodeGenerator.cs: Fixed
	  private implementation type output again.

2009-10-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Filter out special names from override completion.

2009-10-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CustomCSharpCodeGenerator.cs: Tidy and
	  fix compilation.

2009-10-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CustomCSharpCodeGenerator.cs: Restore
	  support for snippet and entry point members.

2009-10-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CustomCSharpCodeGenerator.cs: Commit the
	  first type newline removal hack, tidied up.

2009-10-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CSharpEnhancedCodeProvider.cs: Re-enable
	  the custom generator.

	* MonoDevelop.CSharp/CustomCSharpCodeGenerator.cs: Add
	  comments to header about minimising changes so we can sync
	  from original.

2009-10-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CSharp/CSharpEnhancedCodeProvider.cs: Disable
	  the custom generator for now, as it's broken.

	* MonoDevelop.CSharp/CustomCSharpCodeGenerator.cs: Revert to a
	  clean import (except the MonoTODO -> //TODO) so that it's
	  easier to see what changes we've made to the original.

2009-10-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	  Fixed 'Bug 547611 - renaming a variable does not rename in
	  this() invocation'.

2009-10-19  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp/CustomCSharpCodeGenerator.cs:
	* MonoDevelop.CSharp/CSharpEnhancedCodeProvider.cs: Added
	  custom C# CodeDOM provider (fixing Bug 547947 - the default
	  text when creating a new class has too many newlines and an
	  issue with explicit interface member name generation).

2009-10-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	  Fixed 'Bug 547645 - Intellisense in Object-Initializer does
	  not work if Namespace is used'.

2009-10-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	  Fixed 'Bug 547470 - Override completion for "protected
	  internal" is wrong'.

2009-10-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightCSharpSemanticRule.cs:
	  Fixed 'Bug 546143 - Semantic Type Highlighting does not work
	  on attributes.'.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: worked on
	  constructor initalizer resolving.

2009-10-14  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj: Fix build.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:
	  Disabled conditionditional highlighting for debugger files.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs: Fixed 'Bug
	  540054 - 'Go to Declaration' goes wrong when methods are
	  overloaded'.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs: Special
	  handling of field names & typenames (same as for
	  properties).

2009-10-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Highlighting/HighlightCSharpSemanticRule.cs:
	  Fixed 'Bug 546392 - exception in highlighting'.

2009-10-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 546016 - EventHandler code completion not working
	  if there is no space after +='.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* md1format.xml: track namespace changes.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	  Fixed 'Bug 545667 - Exception when autoformatting'.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	  Don't show return type for constructors.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.CSharp:
	* gtk-gui/gui.stetic:
	* CSharpBinding.csproj:
	* Gui/CSharpAmbience.cs:
	* Gui/ResolveVisitor.cs:
	* Gui/FormattingPanel.cs:
	* Parser/CodeGenerator.cs:
	* CSharpBinding.addin.xml:
	* CSharpLanguageBinding.cs:
	* Parser/CSharpFormatter.cs:
	* Gui/NRefactoryResolver.cs:
	* MonoDevelop.CSharp.Project:
	* Parser/NRefactoryParser.cs:
	* Syntax/CSharpSyntaxMode.cs:
	* Gui/CodeGenerationPanel.cs:
	* Gui/MemberCompletionData.cs:
	* MonoDevelop.CSharp.Resolver:
	* MonoDevelop.CSharp.Completion:
	* MonoDevelop.CSharp.Formatting:
	* CSharpEnhancedCodeProvider.cs:
	* MonoDevelop.CSharp.Refactoring:
	* Parser/FindMemberAstVisitor.cs:
	* MonoDevelop.CSharp.Highlighting:
	* CSharpBindingCompilerManager.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/NewOverrideCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/CompilerOptionsPanelWidget.cs:
	* Gui/CSharpTextEditorIndentation.cs:
	* Gui/EventCreationCompletionData.cs:
	* Project/CSharpResourceIdBuilder.cs:
	* Project/CSharpProjectParameters.cs:
	* Project/CSharpCompilerParameters.cs:
	* Syntax/HighlightCSharpSemanticRule.cs:
	* Parser/CSharpNRefactoryASTProvider.cs:
	* Gui/NRefactoryParameterDataProvider.cs:
	* Gui/NRefactoryDocumentMetaInformation.cs:
	* FormattingStrategy/CSharpIndentEngine.cs:
	* MonoDevelop.CSharp.Dom/CSharpAmbience.cs:
	* MonoDevelop.CSharp/CSharpLanguageBinding.cs:
	* FormattingStrategy/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Resolver/ResolveVisitor.cs:
	* MonoDevelop.CSharp.Parser/NRefactoryParser.cs:
	* FormattingStrategy/CSharpIndentEngineStack.cs:
	* Gui/NRefactoryIndexerParameterDataProvider.cs:
	* FormattingStrategy/CSharpFormattingPolicy.xml:
	* Gui/NRefactoryTemplateParameterDataProvider.cs:
	* gtk-gui/CSharpBinding.FormattingPanelWidget.cs:
	* MonoDevelop.CSharp.Refactoring/CodeGenerator.cs:
	* MonoDevelop.CSharp/CSharpEnhancedCodeProvider.cs:
	* MonoDevelop.CSharp.Formatting/FormattingPanel.cs:
	* FormattingStrategy/CSharpFormattingProperties.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormatter.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryResolver.cs:
	* FormattingStrategy/CSharpFormattingPolicyPanel.cs:
	* MonoDevelop.CSharp.Project/CodeGenerationPanel.cs:
	* gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs:
	* MonoDevelop.CSharp/CSharpBindingCompilerManager.cs:
	* MonoDevelop.CSharp.Formatting/CSharpIndentEngine.cs:
	* MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:
	* gtk-gui/CSharpBinding.CompilerOptionsPanelWidget.cs:
	* MonoDevelop.CSharp.Project/CSharpResourceIdBuilder.cs:
	* MonoDevelop.CSharp.Project/CSharpProjectParameters.cs:
	* MonoDevelop.CSharp.Completion/MemberCompletionData.cs:
	* MonoDevelop.CSharp.Project/CSharpCompilerParameters.cs:
	* MonoDevelop.CSharp.Refactoring/FindMemberAstVisitor.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.cs:
	* MonoDevelop.CSharp.Formatting/CSharpIndentEngineStack.cs:
	* MonoDevelop.CSharp.Resolver/NewCSharpExpressionFinder.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicy.xml:
	* MonoDevelop.CSharp.Project/CompilerOptionsPanelWidget.cs:
	* MonoDevelop.CSharp.Completion/NewOverrideCompletionData.cs:
	* MonoDevelop.CSharp.Completion/CSharpTextEditorCompletion.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingProperties.cs:
	* MonoDevelop.CSharp.Completion/EventCreationCompletionData.cs:
	* MonoDevelop.CSharp.Formatting/CSharpTextEditorIndentation.cs:
	* MonoDevelop.CSharp.Formatting/CSharpFormattingPolicyPanel.cs:
	* MonoDevelop.CSharp.Refactoring/CSharpNRefactoryASTProvider.cs:
	* gtk-gui/MonoDevelop.CSharp.Formatting.FormattingPanelWidget.cs:
	* MonoDevelop.CSharp.Highlighting/HighlightCSharpSemanticRule.cs:
	* gtk-gui/MonoDevelop.CSharp.Project.CodeGenerationPanelWidget.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryParameterDataProvider.cs:
	* gtk-gui/MonoDevelop.CSharp.Project.CompilerOptionsPanelWidget.cs:
	* MonoDevelop.CSharp.Resolver/NRefactoryDocumentMetaInformation.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryIndexerParameterDataProvider.cs:
	* MonoDevelop.CSharp.Completion/NRefactoryTemplateParameterDataProvider.cs:
	  Renamed some namespaces.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* CSharpBinding.csproj: Use \ instead of '/' in the Import.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* CSharpBinding.csproj: Add md.targets .

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed 'Bug 545361 - Method
	  -> Rename doesn't update instance in delegate constructor'.

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* Syntax/HighlightCSharpSemanticRule.cs: Fixed "Bug 545332 -
	  Crashing monodevelop".

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: fixed ambience output for some return
	  types.

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Fixed 'Bug 545196 -
	  Exception in C# completion'.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Add timer.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpLanguageBinding.cs:
	* Gui/CodeGenerationPanel.cs: Assign the target plaform when
	  creating compilation parameters. Add some counters.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CSharpBinding.addin.xml: Bump MD version.

2009-10-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/MemberCompletionData.cs: Added ambience to documentation
	  output.

2009-10-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Worked on
	  documentation output.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Use IsAccessibleFrom
	  method in override completion.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryParameterDataProvider.cs: fixed extension
	  methods output.

2009-10-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed 'typeof (' context
	  (primitive types were missing).

2009-10-01  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* Gui/CodeGenerationPanel.cs:
	* Project/CSharpCompilerParameters.cs:
	* gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs: Allow
	  setting the platform target.

2009-09-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Fixed tab as reindent.

2009-09-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Fixed 'Bug 542976 - Type
	  resolution problem'.

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CSharp.Parser\CSharpParser.cs: Mono.CSharp is
	  not available on windows.

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs:
	* FormattingStrategy/CSharpIndentEngine.cs: Optimized indent
	  engine.

	* Parser/NRefactoryParser.cs: Fields now get their body region
	  set to the variable declaration bounds (required for looking
	  up in multiple field declaration: Type field1, field2,
	  field3;).

2009-09-28  Mike Krüger  <mkrueger@novell.com>

	* CSharpBindingCompilerManager.cs: Used correct context.

2009-09-28  Mike Krüger  <mkrueger@novell.com>

	* CSharpBindingCompilerManager.cs: Building packages that have
	  required packages now works.

2009-09-25  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Parser:
	* MonoDevelop.CSharp.Parser/CSharpParser.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/TypeDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/EnumDeclaration.cs:
	  Added enumdeclaration node.

2009-09-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CSharp.Dom/GeneralScope/AttributeSection.cs:
	  Added attribute target enum.

2009-09-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/MemberCompletionData.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Fixed 'Bug 542015 -
	  Superfluous overloads'.

2009-09-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Dom/Identifier.cs:
	* MonoDevelop.CSharp.Dom/ICSharpNode.cs:
	* Syntax/HighlightCSharpSemanticRule.cs:
	* MonoDevelop.CSharp.Dom/ICSharpDomVisitor.cs:
	* MonoDevelop.CSharp.Dom/AbstractCSharpNode.cs:
	* MonoDevelop.CSharp.Dom/QualifiedIdentifier.cs:
	* MonoDevelop.CSharp.Dom/Expressions/Identifier.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/Attribute.cs:
	* MonoDevelop.CSharp.Dom/Statements/ForStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/GotoStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/LockStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/EmptyStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/BlockStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/FixedStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/LabelStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/BreakStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/UsingStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/ThrowStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/YieldStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/WhileStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/ReturnStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/SwitchStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/UnsafeStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/IfElseStatement.cs:
	* MonoDevelop.CSharp.Dom/Expressions/CastExpression.cs:
	* MonoDevelop.CSharp.Dom/Statements/ForeachStatement.cs:
	* MonoDevelop.CSharp.Dom/Expressions/QueryExpression.cs:
	* MonoDevelop.CSharp.Dom/Statements/CheckedStatement.cs:
	* MonoDevelop.CSharp.Dom/Statements/TryCatchStatement.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/EventDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/TypeOfExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/SizeOfExpression.cs:
	* MonoDevelop.CSharp.Dom/Statements/ContinueStatement.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/FieldDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/TypeDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/UsingDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/AttributeSection.cs:
	* MonoDevelop.CSharp.Dom/Expressions/CheckedExpression.cs:
	* MonoDevelop.CSharp.Dom/Statements/UncheckedStatement.cs:
	* MonoDevelop.CSharp.Dom/Expressions/IndexerExpression.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/MethodDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/IndexerDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/AbstractMemberBase.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/PropertyDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/VariableInitializer.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/ArgumentDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/OperatorDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/PrimitiveExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/QualifiedIdentifier.cs:
	* MonoDevelop.CSharp.Dom/Expressions/UncheckedExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/StackAllocExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/IdentifierExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/InvocationExpression.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/DelegateDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/AssignmentExpression.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/DestructorDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ConditionalExpression.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/NamespaceDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ObjectCreateExpression.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/ConstructorDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/UsingAliasDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/NullReferenceExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ParenthesizedExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/BaseReferenceExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/ThisReferenceExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/UnaryOperatorExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/BinaryOperatorExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/AnonymousMethodExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/MemberReferenceExpression.cs:
	* MonoDevelop.CSharp.Dom/Expressions/PointerReferenceExpression.cs:
	* MonoDevelop.CSharp.Dom/Statements/VariableDeclarationStatement.cs:
	  Worked on C# DOM.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* Syntax/HighlightCSharpSemanticRule.cs: Added some checks.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Dom/Statements:
	* MonoDevelop.CSharp.Dom/TypeMembers:
	* MonoDevelop.CSharp.Dom/Expressions:
	* MonoDevelop.CSharp.Dom/GeneralScope:
	* MonoDevelop.CSharp.Dom/Attribute.cs:
	* MonoDevelop.CSharp.Dom/Identifier.cs:
	* Syntax/HighlightCSharpSemanticRule.cs:
	* MonoDevelop.CSharp.Dom/TypeDeclaration.cs:
	* MonoDevelop.CSharp.Dom/AttributeSection.cs:
	* MonoDevelop.CSharp.Dom/UsingDeclaration.cs:
	* MonoDevelop.CSharp.Dom/DelegateDeclaration.cs:
	* MonoDevelop.CSharp.Dom/QualifiedIdentifier.cs:
	* MonoDevelop.CSharp.Dom/NamespaceDeclaration.cs:
	* MonoDevelop.CSharp.Dom/UsingAliasDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/Identifier.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/Attribute.cs:
	* MonoDevelop.CSharp.Dom/Statements/BlockStatement.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/AbstractMember.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/EventDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/FieldDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/TypeDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/MethodDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/AttributeSection.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/UsingDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/AbstractMemberBase.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/IndexerDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/VariableInitializer.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/ArgumentDeclaration.cs:
	* MonoDevelop.CSharp.Dom/Expressions/QualifiedIdentifier.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/OperatorDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/PropertyDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/DelegateDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/NamespaceDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/DestructorDeclaration.cs:
	* MonoDevelop.CSharp.Dom/GeneralScope/UsingAliasDeclaration.cs:
	* MonoDevelop.CSharp.Dom/TypeMembers/ConstructorDeclaration.cs:
	  Worked on C# DOM.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj: Renamed file.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Syntax/CSharpSyntaxMode.cs:
	* Syntax/HighlightCSharpSemanticRule.cs:
	* Syntax/HighlightPropertiesSemanticRule.cs: Reactivated
	  semantic highlighting.

2009-09-22  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoDevelop.CSharp.Dom:
	* MonoDevelop.CSharp.Dom/Attribute.cs:
	* MonoDevelop.CSharp.Dom/Identifier.cs:
	* MonoDevelop.CSharp.Dom/TypeDeclaration.cs:
	* MonoDevelop.CSharp.Dom/AttributeSection.cs:
	* MonoDevelop.CSharp.Dom/UsingDeclaration.cs:
	* MonoDevelop.CSharp.Dom/DelegateDeclaration.cs:
	* MonoDevelop.CSharp.Dom/QualifiedIdentifier.cs:
	* MonoDevelop.CSharp.Dom/NamespaceDeclaration.cs:
	* MonoDevelop.CSharp.Dom/UsingAliasDeclaration.cs: Worked on
	  c# dom.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpFormattingPolicy.cs:
	* FormattingStrategy/CSharpFormattingPolicy.xml: Fixed 'Bug
	  540466 - Code formatter "place else on new line" is broken'.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs:
	* Parser/CSharpFormatter.cs:
	* Gui/MemberCompletionData.cs:
	* Parser/FindMemberAstVisitor.cs:
	* Gui/CSharpTextEditorCompletion.cs: Renamed IDomVisitable ->
	  INode

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Gui/MemberCompletionData.cs: Show type of type.
	  (class/interface/struct ...)

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Show return type for constants
	  (Math.PI).

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: c# ambience now use the
	  FullInnerTypeName setting.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed wrong code
	  completion popup.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* Syntax/CSharpSyntaxMode.cs: handled null exception.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* Syntax/CSharpSyntaxMode.cs: handled possible null reference.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Use more advanced
	  GetComponentType method instead of a custom version (removes
	  code duplication). Fixes 'Bug 540095 - Code completion
	  issues with dictionaries in foreach'.

2009-09-17  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Parser/CodeGenerator.cs: Fixed explicit interfaces.

2009-09-17  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs:
	* Gui/NewOverrideCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: Correctly set valid
	  region/improved method overriding.

2009-09-17  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Fixed on the fly format bug.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Enums are no longer printed sealed.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorCompletion.cs: Fixed 'Bug 539327 -
	  Intellisense does not work with default (type) keywork'.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 539320 - No
	  intellisense for delegate attributes".

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: Fixed 'Bug 539318 -
	  duplicate var suggestion'.

2009-09-15  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Added short way to format whole
	  document.

2009-09-15  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: worked on formatting.

2009-09-15  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Worked on code formatting.

2009-09-12  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Added auto complete empty
	  match == false for 'hint' enum completion.

2009-09-12  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewOverrideCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/EventCreationCompletionData.cs:
	* Gui/NRefactoryParameterDataProvider.cs:
	* Gui/NRefactoryIndexerParameterDataProvider.cs:
	* Gui/NRefactoryTemplateParameterDataProvider.cs: Track API
	  changes.

2009-09-12  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: removed debug message.

2009-09-11  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: worked on formatting.

2009-09-11  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Fixed "Bug 538296 -
	  Autocompletion makes weird indentation on svn build".

2009-09-11  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs: Fixed "Bug 538208 - Go to
	  declaration not working over a generic method...".

2009-09-10  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* Gui/CSharpTextEditorIndentation.cs: Track API changes/worked
	  on code formatter.

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Improved formatting merge
	  algorithm (fixing Bug 537374 - On-the-fly formatting: New
	  line incorrectly inserted in property).

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Parser/FindMemberAstVisitor.cs: Removed debug message.

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: fixed "Bug 537187 - When
	  'interpret tab as reindent' option is set, code templates
	  don't work".

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Fixed "Bug 537318 - Text curser
	  misplaced on automatic refactoring (adding spaces etc. when
	  pressing ';')".

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: fixed "Bug 537187 - When
	  'interpret tab as reindent' option is set, code templates
	  don't work".

2009-09-03  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: fixed c# ambience for nested types
	  (they work a bit different now).

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Made a better fix for the explicit
	  member bug (but a recreation of the code completion database
	  is required to make it work).

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixed failing unit test.

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Fixed "Bug 536111 - Nested generic
	  types should not show <> on code completion".

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpNRefactoryASTProvider.cs: Implementet
	  parsetypereference.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Fixed "Bug 535187 - Resolver
	  result wrong when property name matches type".

2009-08-31  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: Fixed unit tests.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Improved attribute output.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Parser/CSharpFormatter.cs:
	* Gui/NRefactoryResolver.cs:
	* Parser/NRefactoryParser.cs:
	* Syntax/CSharpSyntaxMode.cs:
	* Parser/FindMemberAstVisitor.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Syntax/HighlightPropertiesSemanticRule.cs:
	* Gui/NRefactoryIndexerParameterDataProvider.cs: Fixed unit
	  test failures & compiler warnings.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.csproj: Updated dependencies. We now depend on
	  gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Fixed removing of
	  selection for insert/remove indent commands.

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Optimized find all
	  references operation.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs: Fixed regex for parsing
	  errors. The line+column group is optional in csc.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Fixed "Bug 533986 - Autoformat:
	  issue when pressing enter at the end of a line".

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Use GetContent instead
	  of casting.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: fixed possible null
	  reference exception.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Fixed "Bug 533683 - File
	  header automatically expanded".

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryParameterDataProvider.cs:
	* Gui/NRefactoryIndexerParameterDataProvider.cs: Indexer xml
	  docs are now displayed.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryIndexerParameterDataProvider.cs:
	* Gui/NRefactoryTemplateParameterDataProvider.cs: Worked on
	  data providers.

2009-08-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fix windows build.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryIndexerParameterDataProvider.cs: Remvoved
	  duplicate indexer.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryIndexerParameterDataProvider.cs:
	* Gui/NRefactoryTemplateParameterDataProvider.cs: Implemented
	  Bug 361573 - Code completion for indexers not working.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewOverrideCompletionData.cs: Fixed 'Bug 533681 - Method
	  overriding always uses full namespaces'.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* CSharpEnhancedCodeProvider.cs: Track API changes

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs: It's now possible to
	  determine the parent expression contexts.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryParameterDataProvider.cs: Fixed "Bug 533369 -
	  Overloads should be ordered".

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 531035 -
	  Automcompleted delegate callback generation for TEventArgs
	  could be better".


2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 528329 - Find
	  class references returns incorrect reference".

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/SharpDevelopTree:
	* Parser/LanguageItemVisitor.cs:
	* Parser/CSharpExpressionFinder.cs: Remove unused stuff.

2009-08-15  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 531525 -
	  Refactoring + Renaming fails for delegate"

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.csproj: Don't make local copies of project
	  references.

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* Syntax/CSharpSyntaxMode.cs: fixed "Bug 527655 - Preprocessor
	  disabled code still makes "if" coloured".

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryParameterDataProvider.cs: Added new line for
	  parameterless methods summary documentation.

2009-08-03  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewOverrideCompletionData.cs:
	* FormattingStrategy/CSharpIndentEngine.cs: Fixed "Bug 507668
	  - Wrong smart-indentation behavior in monodevelop solution
	  itself".

2009-08-03  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs: fixed "Bug 527151
	  – smart indent: indents "too much" after "new O () { ... }"
	  object initialisation without trailing ','".

2009-08-01  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Fixed "Bug 527338 - Wrong type
	  shown in tooltip when param name clashes with field name".

2009-07-31  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs: Fixed failing unit test.

2009-07-31  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs: Fixed 'Bug 526667 - wrong
	  code completion in object initialisation (new O() {...};)'.

2009-07-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/MemberCompletionData.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Worked on xml
	  documentation display.

2009-07-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Added null check.

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* Gui/MemberCompletionData.cs:
	* Parser/FindMemberAstVisitor.cs:
	* Gui/NRefactoryParameterDataProvider.cs:
	* Gui/NRefactoryTemplateParameterDataProvider.cs: Handled
	  parameter documentation.

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs:
	* Gui/MemberCompletionData.cs: Custom xml documentation is now
	  used (Bug 525260 - Custom documentation not shown in code
	  completion.).

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Fixed bug in code formatter.

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Implemented search in xml
	  comments for members/types.

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs:
	* Parser/FindMemberAstVisitor.cs: Implmented search in xml
	  documentation (currently this works only for parameters).

2009-07-28  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed possible null
	  reference exception.

2009-07-28  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs:
	* Syntax/CSharpSyntaxMode.cs:
	* Gui/NewCSharpExpressionFinder.cs: Fixed failing LINQ unit
	  tests.

2009-07-28  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorIndentation.cs:
	* FormattingStrategy/CSharpIndentEngineStack.cs: Worked on "on
	  the fly" code formatting.

2009-07-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 524879 - Rename
	  on variable in "using" leaks into other scopes".

2009-07-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 524877 -
	  Incomplete rename with on variable declared in foreach
	  statements".

2009-07-24  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 524873 -
	  Parameter renaming problem when type contains parameter
	  name".

2009-07-23  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs: Let the runtime find the
	  correct compiler path.

2009-07-23  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 524318 - Cannot
	  rename caught exception declarations".

2009-07-23  Mike Krüger  <mkrueger@novell.com>

	* Syntax/CSharpSyntaxMode.cs:
	* Parser/FindMemberAstVisitor.cs:
	* Syntax/HighlightPropertiesSemanticRule.cs: Removed debug
	  messages.

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpNRefactoryASTProvider.cs: fixed build.

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpNRefactoryASTProvider.cs: handled possible
	  parser exceptions.

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* Syntax/CSharpSyntaxMode.cs: Correctly copying syntax mode
	  properties.

2009-07-20  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpFormattingPolicy.cs:
	* FormattingStrategy/CSharpFormattingPolicy.xml: Added brace
	  forcement pretty print options.

2009-07-20  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 523334 - Find
	  references misses a field inside a property".

2009-07-17  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpNRefactoryASTProvider.cs: removed debug
	  message.

2009-07-16  Mike Krüger  <mkrueger@novell.com>

	* Syntax/CSharpSyntaxMode.cs: Fixed '#if' section highlighting
	  bug with more than one defined symbol separated by ','

2009-07-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: C# text editor extension
	  can now be reused by the ASP.NET text editor extension.

2009-07-14  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpNRefactoryASTProvider.cs: implemented new parse
	  function.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpNRefactoryASTProvider.cs: Track api changes.

2009-07-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Fixed "Bug 518548 -
	  Completion is very annoying on lambda parameters".

2009-07-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed partial completion.

2009-07-07  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixed the code completion on
	  interface members.

2009-07-06  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: Fixed automatic namespace import
	  (removed redundant newline).

2009-07-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Added range check (fixes
	  a possible exception on del/backspace).

2009-07-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 518544 - "new"
	  completion after "var" is almost unusably slow".

2009-07-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewOverrideCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: Implemented "Bug 518542 -
	  Partial method completion".

2009-07-04  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Added range check.

2009-07-03  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Implemented special
	  backspace/del behaviour inside strings as suggested by
	  lluis.

2009-07-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* Parser/CSharpFormatter.cs:
	* Parser/CSharpNRefactoryASTProvider.cs: Worked on refactoring
	  support.

2009-07-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs: Fixed "Bug 518547 -
	  Property initializer completion populates from wrong type".

2009-06-29  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: fixed possible null reference
	  exception.

2009-06-24  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* Gui/CSharpTextEditorIndentation.cs: Overworked the formatted
	  text insertion algorithm.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/CSharpFormatter.cs: Use the new DesktopService
	  instead of PlatformService.

2009-06-23  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Worked on formatter.

2009-06-23  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpFormattingPolicy.cs:
	* FormattingStrategy/CSharpFormattingPolicy.xml: Added format
	  option for anonymous methods.

2009-06-23  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* Gui/CSharpTextEditorIndentation.cs: Worked on formatter.

2009-06-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Added null checks.

2009-06-23  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* Gui/CSharpTextEditorIndentation.cs: Worked on formatter.

2009-06-22  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* Gui/CSharpTextEditorIndentation.cs: Fixed tab key multi line
	  formatting. worked on formatter.

2009-06-22  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Worked on output formatter.

2009-06-22  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* Gui/CSharpTextEditorIndentation.cs: Fixed template
	  insertion/worked on code formatter.

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* Gui/CSharpTextEditorIndentation.cs: Worked on code
	  formatting

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 514563 -
	  Inconsistent treatment of nullable types for comments and
	  information".

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Fixed "Bug 514284 - Tab
	  key doesn't work for plain text files (with tab as reindent
	  option set)".

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: fixed "Bug 514283 -
	  Using tab to reindent only works from the begining of the
	  line".

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* templates/AssemblyInfo.xft.xml: Fixed "Bug 513981 - Project
	  template causes CS1726 errors".

2009-06-18  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpEnhancedCodeProvider.cs: Pass specials to CodeDOM
	  visitor so it can collect comments.

	* Gui/CompilerOptionsPanelWidget.cs: Don't explode when
	  ITypeResolveContext is null.

2009-06-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui\CSharpTextEditorCompletion.cs: Remove debug message.

	* Parser\NRefactoryParser.cs: Assign a default visibility flag
	  for types which don't have one explicitly set in code.

	* templates\GtkSharp2Project.xpt.xml: atk-sharp is a
	  dependency of gtk-sharp, so it has to be added too to the
	  project (.NET complains about it).

2009-06-18  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorIndentation.cs:
	* FormattingStrategy/CSharpFormattingPolicy.cs:
	* FormattingStrategy/CSharpFormattingPolicy.xml: Worked on
	  code formatting.

2009-06-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/NRefactoryParser.cs: Fix issue with detection of
	  generic constraints.

2009-06-18  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpFormattingPolicy.cs: Corrected
	  default settings

2009-06-15  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 504555 - Right
	  clicking on a variable name and selecting rename does not
	  work properly.".

2009-06-15  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Fixed "Bug 512820 –
	  Different number of overloads reported for same method".

2009-06-12  Mike Krüger  <mkrueger@novell.com>

	* Syntax/CSharpSyntaxMode.cs: Track api changes.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/CSharpFormatter.cs: Add support for per-mimetype
	  policies.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* MonoCSharpPolicy.xml:
	* CSharpBinding.addin.xml: Register the c# formatting panel
	  and the Mono policy set.

	* FormattingStrategy/CSharpFormattingPolicy.cs:
	* FormattingStrategy/CSharpFormattingPolicyPanel.cs: Converted
	  to mime-type formatting panel.

2009-06-09  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs: Fixed "Bug 510222
	  - Newline after colon of conditional does not have correct
	  tabbing".

2009-06-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixed "Bug 510919 - Code completion
	  does not show interface method when not using a local var".

2009-06-09  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed find member visitor
	  bug.

2009-06-08  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 510771 - Find
	  references finds invalid references".

2009-06-05  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* Parser/CSharpFormatter.cs:
	* FormattingStrategy/CSharpFormattingPolicy.cs:
	* FormattingStrategy/CSharpFormattingPolicyPanel.cs:
	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Worked on C# formatter it should now fit better in the
	  policy system.

2009-06-04  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Fixed "Bug 509620 -
	  Auto-completion shows empty constructor when there are no
	  constructors available (because of being private)".

2009-06-02  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.csproj: Set correct resource id.

2009-06-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Fixed "Bug 509019 - Autocomplete for
	  new generic of array omits brackets".

2009-06-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 507063 - XML
	  auto-comment doesn't work for indexers or properties".

2009-06-02  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 507737 - Renaming
	  parameter of method renames parameter occurrences in other
	  methods in the same file".

2009-05-25  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am: Corrected makefile.

2009-05-25  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* FormattingStrategy/CSharpFormattingPolicy.cs:
	* FormattingStrategy/CSharpFormattingPolicy.xml: Worked on C#
	  formatting policy.

2009-05-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 506707 - Code
	  completion shows fully qualified class names when using
	  alias directive is used."

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpLanguageBinding.cs: Add support for .net 4.0.

	* CSharpBindingCompilerManager.cs: Properly locate the
	  compiler when running on MS.NET.

2009-05-14  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* Syntax/CSharpSyntaxMode.cs:
	* Syntax/HighlightPropertiesSemanticRule.cs: Added semantic
	  rules to the c# syntax mode.

2009-05-14  Mike Krüger  <mkrueger@novell.com>

	* Syntax/CSharpSyntaxMode.cs: Worked on preprocessor semantic
	  highlighting.

2009-05-14  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs: Applied
	  patch Eberhard Beilharz <eb1@sil.org> from (Bug 503410 -
	  Can't set warning level to 4).

2009-05-13  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs:
	* Syntax/CSharpSyntaxMode.cs: Worked on semantic
	  highlighting/fixed bug that could cause a crash with invalid
	  pre processor if blocks.

2009-05-12  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* Syntax/CSharpSyntaxMode.cs: Worked on pre processor semantic
	  highlighting.

2009-05-12  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Syntax/CSharpSyntaxMode.cs:
	* Gui/CSharpTextEditorCompletion.cs: Fixed 'Bug 501999 -
	  Intellisense completion of new array: put cursor inside
	  brackets'

2009-05-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs: Fixed query expression resolving
	  bug.

2009-05-08  Mike Krüger  <mkrueger@novell.com>

	* Syntax:
	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* Syntax/CSharpSyntaxMode.cs: Added c# syntax mode.

2009-05-04  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixed a bug that code completion
	  shows up for not declared members ("string s; s.c."
	  shouldn't complete anymore)

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs: Don't use -pkg to reference
	  assemblies, use the full assembly path. Don't add the
	  default utf8 codepage option when building with csc. Move
	  the /noconfig option out of the response file, csc doesn't
	  like it. Properly build with csc when targeting MS.NET.

2009-05-04  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 500001 – Auto
	  XML comment (///) for struct grabs params and returns from
	  following function".

2009-05-04  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 499819 -
	  "true." or "false." doesn't trigger code completion".

2009-05-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/MemberCompletionData.cs: Fix duplicate filtering, so
	  that unnecessary "overloads" don't show up.

2009-04-30  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs: Remove unnecessary compiler
	  params parsing.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/EventCreationCompletionData.cs: Fixed/Improved the
	  create event handler feature.

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs: Use correct environment for
	  building the project, according to the target runtime.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* CSharpBinding.csproj:
	* Gui/NewOverrideCompletionData.cs: Fixed "Bug 497991 -
	  Completion of "overriding" an interface member results in a
	  call to base".

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* CSharpBinding.addin.xml: Changed copyright tag.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* AssemblyInfo.cs: Changed assembly info.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewOverrideCompletionData.cs: "overriding" interface
	  members is now public.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed 'Bug 495275 -
	  override completion popup no longer includes unimplemented
	  members from interfaces'.

	* Parser/NRefactoryParser.cs: 

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: fixed "Bug 497829 - MD cannot
	  open file due to NullReferenceException in C# binding".

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpLanguageBinding.cs: Track comment tag API.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* Gui/EventCreationCompletionData.cs: Track api changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* CSharpBinding.csproj: don't require specific gtk-sharp version.
	* Gui/CSharpTextEditorCompletion.cs: fix a csc error.

2009-04-17  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpBindingCompilerManager.cs: Use
	  ToolsEnvironmentVariables from the current runtime.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* CSharpLanguageBinding.cs:
	* Gui/CodeGenerationPanel.cs:
	* CSharpBindingCompilerManager.cs:
	* Gui/CompilerOptionsPanelWidget.cs:
	* Project/CSharpCompilerParameters.cs: Worked on C# backend
	  binding.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* CSharpLanguageBinding.cs:
	* icons/csharp-project-16.png: Removed icon service.

2009-04-16  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs: Moved SystemAssemblyService
	  and related classes to the namespace
	  MonoDevelop.Core.Assemblies.

2009-04-16  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs: fixed 'Bug 494568
	  - Indentation after C# labels is wrong.'.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CSharpBinding.addin.xml: Bump MD version.

2009-04-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed "Bug 429034 - Class alias
	  completion not working properly".

2009-04-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 493202 - List
	  References on private constructor yields nothing".

2009-04-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Activated virtual
	  leading whitespace feature.

2009-04-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Fixed possible null ref
	  exception.

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs:
	* Parser/NRefactoryParser.cs:
	* Gui/NRefactoryTemplateParameterDataProvider.cs: Added name
	  validator (for Bug 414735 - Rename refactoring should not
	  allow invalid names).

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: Implemented "Bug 492675 - New line
	  & ; at end of line".

2009-04-06  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: fixed bug in add namespace import
	  method.

2009-04-06  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: AddNamespace import is now atomar.

2009-04-06  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs:
	* Gui/NRefactoryResolver.cs: Added "resolve namespace"
	  feature.

2009-04-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 438696 - Error
	  in text editor extension chain.".

2009-04-03  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Implemented "Bug 325527 -
	  Make C# intellisense smarted for base classes".

2009-04-03  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/MemberCompletionData.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Added some tooltip
	  formatting. Extension methods are marked. Method description
	  is shown in the parameter window.

2009-04-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs: Fixed "Bug 491020 - Wrong typeof
	  intellisense".

2009-04-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs: Fixed "Bug 491017 - No
	  intellisense for static LINQ queries".

2009-04-02  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixed failing unit test.

2009-04-01  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: removed debug messages.

2009-04-01  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed "Bug 491016 - No
	  intellisense for lambdas inside linq query".

2009-04-01  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Added "var" to the
	  completion list.

2009-04-01  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 487226 - No
	  intellisense in LINQ queries" - 2.

2009-04-01  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed "Bug 487237 - Broken lambda
	  intellisense".

2009-04-01  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed "Bug 487226 - No
	  intellisense in LINQ queries".

2009-03-31  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Worked on C#3 lambda resolving.

2009-03-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Removed debug message.

2009-03-30  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: implemented 'Bug 363627 - MD
	  text editor does not show folding symbols for preprocessor
	  directives'.

2009-03-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryTemplateParameterDataProvider.cs: Implemented
	  "Bug 324888 - Auto complete not activating in generics".

	* Makefile.am:
	* CSharpBinding.csproj: 

2009-03-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Implemented "Bug 324989 -
	  code completion doesn't strip off 'Attribute' part in
	  Attributes".

2009-03-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Added 'from ... group ... into
	  VAR' case.

2009-03-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs:
	* Gui/NewCSharpExpressionFinder.cs: Worked on lambda resolving
	  (fixing bug 'Bug 487203 - Extension methods not working').

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/MemberCompletionData.cs: Fixed "Bug 487209 - Incorrent
	  intellisense for partial methods".

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixed "Bug 487218 - var does not work
	  with arrays".

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: fixed "Bug 487228 - No intellisense
	  for implicit arrays".

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs: Fixed "Bug 487236 - Object
	  initializer completion uses wrong type".

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 487246 - No
	  intellisense for extension methods".

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixed possible null ref.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs: Added support for
	  contextual templates.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs: Fixed Header.

2009-03-21  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/MemberCompletionData.cs: Worked on template callbacks.

2009-03-21  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/NewOverrideCompletionData.cs:
	* Gui/EventCreationCompletionData.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Fixed compilation
	  error.

2009-03-20  Michael Hutchinson  <mhutchinson@novell.com>

	* templates/GtkSharp2Project.xpt.xml: Don't require specific
	  GTK# versions.

2009-03-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: Track API changes.

	* Gui/CSharpTextEditorIndentation.cs: changed naming.

2009-03-17  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Fix build.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Fixed caret end pos.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs:
	* FormattingStrategy/CSharpIndentEngine.cs: Added auto string
	  concat when return is hit inside a string.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: Renamed method.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: fixed 'Bug 485783 - Class/method
	  navigation bar doesn't honor "Define symbols:" project
	  setting when parsing file'.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs:
	* Parser/NRefactoryParser.cs: Track API changes.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: fixed 'Bug 485610 - Can't
	  rename a variable'.

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Added option categories.

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Added new code completion
	  context (local variable naming proposal).

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Added place in new line options.

2009-03-15  Mike Krüger  <mkrueger@novell.com>

	* Parser/CSharpFormatter.cs:
	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Worked on code formatting.

2009-03-15  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Added some formatting options.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpBinding.csproj: Don't local-copy project refs.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Added some options.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* CSharpBinding.csproj: Moved text editor to core

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* CSharpBinding.addin.xml:
	* Parser/CSharpFormatter.cs:
	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Worked on code formatting.

2009-03-12  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* Parser/CSharpFormatter.cs:
	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Worked on code formatter.

2009-03-11  Mike Krüger  <mkrueger@novell.com>

	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Worked on code formatting.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* CSharpBinding.addin.xml:
	* FormattingStrategy/CSharpFormattingStyleDefinition.xml:
	  Added format style definition

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: fixed comment position.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: added new constructor.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CSharpBinding.csproj:
	* Gui/NewCSharpExpressionFinder.cs: Updated nrefactory
	  references.

2009-03-05  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Handled output of anonymous types.

2009-03-05  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: fixed type name.

2009-03-05  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic: 

	* Gui/ResolveVisitor.cs: Using new anonymous type
	  representation.

2009-03-05  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs:
	* FormattingStrategy/CSharpIndentEngine.cs: Worked on lambda
	  code completion.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* Gui/MemberCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: Worked on icons for
	  parameters/local variables and keywords.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs: added bounds check.

2009-03-02  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: fixed "Bug 480492 - Find
	  field references returns incorrect references".

2009-02-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 479983 - No C#
	  completion for object initializers".

2009-02-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 479986 -
	  Incorrect new completion for var".

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.csproj: Flush.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* md1format.xml:
	* CSharpBindingCompilerManager.cs:
	* Project/CSharpCompilerParameters.cs: Added support for
	  WarningsNotAsErrors, although there is no gui for setting it
	  because it is not supported by mcs.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 479757 -
	  Parameters of a Method when opening Parenthesis result in a
	  blank "Tooltip".'

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpBinding.addin.xml: Register CSharpProjectParameters as 
	  serializable.

2009-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* md1format.xml:
	* gtk-gui/gui.stetic:
	* CSharpBinding.csproj:
	* CSharpLanguageBinding.cs:
	* CSharpBindingCompilerManager.cs:
	* Gui/CompilerOptionsPanelWidget.cs:
	* Project/CSharpProjectParameters.cs:
	* Project/CSharpCompilerParameters.cs:
	* gtk-gui/CSharpBinding.CompilerOptionsPanelWidget.cs: Moved
	  some properties from configuration parameters to project
	  parameters.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/CompilerOptionsPanelWidget.cs: Changed override Destroy
	  --> override OnDestroyed.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Parser/FindMemberAstVisitor.cs: fixed "Bug 427453 - The
	  rename operations are not working (for local variables)"

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* Gui/CompilerOptionsPanelWidget.cs: worked on ressource
	  de-allocation.

2009-02-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Fixed 'Bug 472597 - New completion
	  does not include array types'.

2009-02-24  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: fixed "Bug 478702 - Underline on
	  syntax error not working properly when using preprocessor
	  directives and inheritance".

2009-02-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Added support for some undocumented
	  keywords.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs: Removed debug message.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Gui/NewOverrideCompletionData.cs: Fixed "Bug 478703 -
	  Override completion fails to include parameter modifiers in
	  method generation".

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs: Fixed some type resolving issues.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Fixed failing unit test.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed inner type access issues.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorCompletion.cs: Handled
	  AttributeArguments context. Fixing bug 'Bug 478490 -
	  Autocomplete Attribute Properties'.

2009-02-21  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: fixed "Bug 472104 -
	  Cursor misplaced when pressing tab".

2009-02-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 477374 - Find
	  references... doesn't find all references".

2009-02-19  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: enum fields now have the correct
	  return type.

2009-02-18  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: Fixed "Bug 404706 - Refactorer is
	  not aware of existing regions when inserting members".

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs: Track api changes.

	* Project/CSharpResourceIdBuilder.cs: Allow line breaks when
	  reading literals.

2009-02-17  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 434979 -
	  Automagic insertion of XML comments doesn't work as
	  intended'.

2009-02-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Removed double space in namespace
	  output.

2009-02-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Parser/FindMemberAstVisitor.cs: Fixed bug "Bug 325171 -
	  Rename fails with overloads".

2009-02-16  Mike Krüger  <mkrueger@novell.com>

	* Parser/FindMemberAstVisitor.cs: Fixed "Bug 391066 - Rename
	  not offered for generic classes".

2009-02-13  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: fixed type output issues in the c#
	  ambience.

2009-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpLanguageBinding.cs:
	* Parser/NRefactoryParser.cs:
	* CSharpBindingCompilerManager.cs: Track API changes. Use the
	  new ProjectItem collection.

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed test case 470954_bis

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed "Bug 474447 - Wrong
	  completion of namespaces".

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Optimized ResolveIdentifier and
	  prevented endless loop.

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed "Bug 470954 - using
	  System.Windows.Forms is not honored".

2009-02-10  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/MemberCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: Fixed "Bug 350862 -
	  Autocomplete bug with enums".

2009-02-10  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed small namespace access bug.

2009-02-10  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: worked on is/as
	  completion.

2009-02-10  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorCompletion.cs: Added new "<Type> x = y
	  as $" completion case.

2009-02-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: now using
	  IsAccessibleFrom for constructor accessible tests (for more
	  complex cases than bug 473849).


2009-02-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 473849 -
	  Classes with no visible constructor shouldn't appear in
	  "new" completion".

2009-02-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed "Bug 473686 - Constants are
	  not included in code completion".

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpBinding.csproj: Don't local-copy other addins' dlls.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Rename a couple of
	  variables, as csc is more picky about multiple locals with
	  the same name in switches.

	* gtk-gui/gui.stetic: Updated.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpBinding.csproj: Don't treat warning as errors, because
	  csc still outputs warnings for this project.

2009-02-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 472092 -
	  'yield return new' includes incaccessible members'.

2009-02-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixing C#3 query expressions.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.mds:
	* CSharpBinding.mdp:
	* CSharpBinding.csproj: Migrated to MSBuild file format.

2009-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/MemberCompletionData.cs: Avoid an InvalidCastException
	  in the case where an overloads's member is not the same type
	  as the main member. Not sure why this would happen, but it
	  just did.

2009-02-05  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* Gui/MemberCompletionData.cs: 

	* Gui/NewCSharpExpressionFinder.cs: fixed 'Bug 471937 - Code
	  completion of 'new' showing invorrect entries'.

2009-02-05  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: fixed "Bug 472714 -
	  MonoDevelop automatic indentation does not follow "Convert
	  tabs to spaces" option".

2009-02-04  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/MemberCompletionData.cs: Better sorting of overloads.

2009-02-04  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/MemberCompletionData.cs: Don't auto-insert <T>. Sort
	  overloads. Always display <> in the name when there is a
	  generic overload.

2009-02-04  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CSharpAmbience.cs: Handle HideGenericParameterNames
	  flag.

2009-02-04  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: fixed "Bug 466719 - Code completion
	  doesn't activate with '.' inside expression using '::'
	  operator.".

2009-02-04  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 469910 -
	  Incorrect type resolution on attributes".

2009-02-04  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 471935 - Code
	  completion window not showing in MD1CustomDataItem.cs'.

2009-02-03  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: disabled caret beyond
	  eol feature.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CSharpBinding.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.mdp:
	* gtk-gui/gui.stetic: Fix target gtk# version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.mdp:
	* gtk-gui/CSharpBinding.CompilerOptionsPanelWidget.cs:
	  Updated.

2009-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CSharpResourceIdBuilder.cs: Track api changes.

2009-01-30  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.mdp:
	* Autotools/Makefile.am:
	* Gui/CSharpAmbience.cs:
	* Parser/NRefactoryParser.cs:
	* Parser/FindMemberAstVisitor.cs:
	* Gui/CSharpTextEditorCompletion.cs: Add support for constraints in
	generic methods.

2009-01-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorIndentation.cs: Added virtual spaces based on
	indentation level.

2009-01-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/NRefactoryParser.cs: Track api changes.

2009-01-27  Mike Krüger  <mkrueger@novell.com>

	* Parser/mcs:
	* Makefile.am:
	* Parser/mcs/mcs:
	* CSharpBinding.mdp:
	* Parser/mcs/dom.cs:
	* gtk-gui/gui.stetic:
	* Parser/mcs/mcs/PLAN:
	* Parser/mcs/mcs/TODO:
	* Parser/mcs/External:
	* Parser/mcs/mcs/NOTES:
	* gtk-gui/generated.cs:
	* Parser/mcs/mcs/OTODO:
	* Parser/mcs/mcs/README:
	* Gui/ResolveVisitor.cs:
	* Parser/mcs/mcs/doc.cs:
	* Parser/mcs/mcs/linq.cs:
	* Parser/mcs/mcs/mcs.sln:
	* Parser/mcs/mcs/enum.cs:
	* Parser/mcs/mcs/decl.cs:
	* Parser/mcs/mcs/const.cs:
	* Parser/mcs/mcs/OPTIMIZE:
	* Parser/mcs/mcs/cfold.cs:
	* Parser/mcs/mcs/ecore.cs:
	* Parser/mcs/mcs/Makefile:
	* Parser/mcs/cs-parser.cs:
	* Parser/CodeGenerator.cs:
	* Parser/mcs/mcs/gmcs.sln:
	* Parser/mcs/mcs/class.cs:
	* Parser/mcs/mcs/assign.cs:
	* Parser/mcs/mcs/ChangeLog:
	* Parser/mcs/mcs/driver.cs:
	* Parser/mcs/mcs/lambda.cs:
	* Parser/mcs/mcs/report.cs:
	* Parser/mcs/mcs/support.cs:
	* Parser/mcs/mcs/codegen.cs:
	* Parser/mcs/mcs/generic.cs:
	* Gui/NRefactoryResolver.cs:
	* Parser/mcs/mcs/convert.cs:
	* Parser/mcs/mcs/pending.cs:
	* Parser/mcs/mcs/literal.cs:
	* Parser/mcs/mcs/mcs.csproj:
	* Parser/mcs/mcs/constant.cs:
	* Parser/mcs/mcs/nullable.cs:
	* Parser/mcs/mcs/gmcs.csproj:
	* Parser/mcs/mcs/delegate.cs:
	* Parser/mcs/mcs/location.cs:
	* Parser/mcs/mcs/lambda.todo:
	* Parser/mcs/mcs/parameter.cs:
	* Parser/mcs/mcs/compiler.doc:
	* Parser/mcs/mcs/modifiers.cs:
	* Parser/mcs/mcs/namespace.cs:
	* Parser/mcs/mcs/anonymous.cs:
	* Parser/mcs/mcs/statement.cs:
	* Parser/mcs/mcs/iterators.cs:
	* Parser/mcs/mcs/attribute.cs:
	* Parser/mcs/mcs/roottypes.cs:
	* Parser/mcs/mcs/expression.cs:
	* Parser/mcs/mcs/cs-parser.jay:
	* Parser/mcs/mcs/generic-mcs.cs:
	* Parser/mcs/mcs/mcs.exe.config:
	* Parser/mcs/mcs/typemanager.cs:
	* Parser/mcs/mcs/rootcontext.cs:
	* Parser/mcs/mcs/flowanalysis.cs:
	* Parser/mcs/mcs/symbolwriter.cs:
	* Parser/mcs/mcs/gmcs.exe.config:
	* Parser/mcs/mcs/cs-tokenizer.cs:
	* Parser/mcs/mcs/mcs.exe.sources:
	* Parser/mcs/mcs/AssemblyInfo.cs:
	* Parser/mcs/mcs/gmcs.exe.sources:
	* Parser/mcs/mcs/doc-bootstrap.cs:
	* Parser/mcs/mcs/smcs.exe.sources:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/CSharpTextEditorIndentation.cs:
	* Parser/mcs/mcs/smcs.exe.sources-xml:
	* Parser/mcs/External/CryptoConvert.cs:
	* Parser/mcs/External/MonoSymbolFile.cs:
	* Gui/NRefactoryParameterDataProvider.cs:
	* Parser/mcs/External/MonoSymbolTable.cs:
	* Parser/mcs/External/MonoSymbolWriter.cs:
	* gtk-gui/CSharpBinding.FormattingPanelWidget.cs:
	* gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs:
	* gtk-gui/CSharpBinding.CompilerOptionsPanelWidget.cs: Removed unused
	code. Fixed compiler warnings.

2009-01-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Fixed an unneccessary space printing before for
	type names (affected code completion as well).

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* CSharpBinding.mdp:
	* gtk-gui/gui.stetic:
	* Autotools/Autotools.mdp: Flush project format changes.

2009-01-26  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs:
	* Parser/NRefactoryParser.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Provide the calling class in
	all type queries. It is required to resolve generic arguments.

	* CSharpBinding.mdp: Updated.

2009-01-27  Ankit Jain  <jankit@novell.com>

	Fix bug #352703.
	* CSharpBindingCompilerManager.cs (Compile): Format define symbols list
	to be semi-colon separated.

2009-01-26  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Handled invalid endpos.

2009-01-23  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: Corrected delegate location.

	* Gui/CSharpAmbience.cs: Attribute postfix no longer print when
	outputting attributes.

2009-01-21  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 464788 - Variable shows
	up twice in completion list.'.

2009-01-21  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 464787 - completion doesn't
	update fast enough'.

2009-01-20  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Parser/NRefactoryParser.cs: Added support for explicit events. Fixing
	bug "Bug 467507 - No completion of base members inside explicit
	events".

2009-01-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Handled theoretical null ref exception (But
	I wasn't able to produce a test case). 

2009-01-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed "Bug 466694 - Generic type parameters
	missing from completion".

2009-01-16  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fixed 'Bug 466692 - Missing
	completion for return/break keywords after yield'.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: fixed 'Bug 466337 - Incorrect intelisense for
	class attribute'.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 466329 - Autocomplete
	doesn't activate with "_"".

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: worked on csharpambience markup.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 466149 - Code completion
	activates inside a string.'.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Added global keyword. Fixing 'Bug 466063 - Missing keyword
	'global' from code completion'.

2009-01-13  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/MemberCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: Performance optimizations in
	AddCompletionData. Reduce calls to Ambience.GetString.

	* Gui/CSharpAmbience.cs: Optimizations. In Visit(IType), avoid creating
	a StringBuilder when the result is just the class name.

2009-01-09  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: Track api changes.

2009-01-09  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs:
	* Gui/NRefactoryResolver.cs:
	* Parser/NRefactoryParser.cs:
	* Parser/FindMemberAstVisitor.cs: Worked on refactoring code/fixing Bug
	456576 - refactor: rename field is not working.

2009-01-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fix warning.

	* md1format.xml:
	* Project/CSharpCompilerParameters.cs: Store the LangVersion string
	using the msbuild format. For MD1, use the old format. Fixes bug
	#461104 - Setting C# language version on project does not parse in
	VS.Net 2008.

2009-01-07  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Worked on on the fly type resolving.

2009-01-07  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: fixed "Bug 463783 - Method Navigator does not
	show indexer parameters".

2009-01-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Corrected variable scope.

2009-01-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 457237 - code completion doesn't
	show static methods when setting global variable'.

2009-01-06  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 457003 - code completion shows
	variables out of scope'.

2009-01-05  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixed unit test for bug 323283. 

2009-01-05  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Fixed anonymous class unit test.

2009-01-05  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 460234 - Invalid options
	shown when typing 'override'".

2008-12-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Optimize
	GetParameterCompletionCommandOffset. It was a cause of important
	slowdowns in the editor when pressing return.

2008-12-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Optimized. Do nothing in
	HandleParameterCompletion unless the char is going to trigger a
	parameter completion.

	* md1format.xml: Added missing property.

	* CSharpBindingCompilerManager.cs: Improve error message when an
	assembly is not found.

	* gtk-gui/gui.stetic: Update.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.mdp:
	* Autotools/Autotools.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs:
	* Autotools/CSharpAutotoolsSetup.cs: Track API changes.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.mdp: Don't require a specific version of Mono.Addins.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/CSharpTextEditorIndentation.cs: Track api changes.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/MemberCompletionData.cs: Use full names in the description of the
	members. Fixes bug #450931 - Autocomplete without namespaces is
	confusing.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* CSharpBinding.mdp: Add AssemblyInfo.cs files that are autogenerated
	from the addin manifests.

2008-11-29  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Gui/MemberCompletionData.cs:
	* Gui/NewOverrideCompletionData.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Refactored
	ambiences/domoutputvisitor.

2008-11-28  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: taken back last change.

2008-11-28  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: added strongly typed overloads for getstring.

2008-11-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Worked on c# ambience.

2008-11-26  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: fixed some ambience bugs.

2008-11-25  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: fixed 'Bug 434240 - Cannot explicitly
	implement events'.

2008-11-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 447985 - Exception
	display tip is inaccurate for derived (custom) exceptions'.

2008-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CSharpAmbience.cs: Don't try to prepend a return type to
	finalisers.

2008-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CSharpAmbience.cs: Format finalisers correctly.

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: fixed folding region bug.

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: worked on c# ambience.

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/MemberCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: worked on "Bug 444547 - Invalid
	options shown when completing 'new' operator".

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 444911 - Refactor options not
	shown'.

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 444463 - Function
	completion lacks 'out' keywords in params'.

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: fixed 'Bug 446177 - Encapsulate field
	operation renames incorrect variable names in external files'.

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: fixed 'Bug 445774 - Renaming class badly
	broken; results in many errors'.

2008-11-18  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 444112 - Generic
	parameters missing in code completion'.

2008-11-18  Mike Krüger  <mkrueger@novell.com>

	* Parser/CodeGenerator.cs: fixed 'Bug 355948 - Rename refactoring does
	not rename within #ifdef blocks'.

2008-11-17  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs: Don't add the codepage:utf8 option if
	the user selected another codepage. Fix by Ernesto Carrea.

2008-11-17  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 444542 - Weird options
	shown for 'as' operator'.

2008-11-17  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 444538 - Namespaces missing when
	completing 'new' operator'.

2008-11-14  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/MemberCompletionData.cs: Remove unused code.

2008-11-14  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: fixed 'Bug 444110 - Code completion doesn't
	activate'.

2008-11-14  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: Fixed full namespace display of members.

	* Gui/CSharpTextEditorCompletion.cs: Worked on new completion.

2008-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Fix completion location off-by-one.
	Fixes extra char that was added at end of namespaces.

2008-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: Move template completion code to
	MonoDevelop.Ide.

	* Makefile.am:
	* CSharpBinding.mdp: Updated.

	* Gui/CodeTemplateCompletionData.cs: Unused, remove.

2008-11-12  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CodeTemplateCompletionData.cs: Added double tab templates.

2008-11-12  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Autotools/Makefile.am: Fix issue with parallel building.

	* Gui/MemberCompletionData.cs: Don't use the description to
	differentiate overloads, since it has to query info from monodoc and
	that's very slow. Use the help url instead, which seems to work fine
	as id.

2008-11-12  Mike Krüger  <mike@icsharpcode.net>

	* Gui/MemberCompletionData.cs:
	* Gui/CodeTemplateCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 443493 - C# completion
	should not trigger at start of existing words'.

2008-11-11  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Track fix in text editor's
	completion line/col indexing. It's now 1-indexed, as it should be.
	Allow triggering after ( and {. Don't aggressively trigger before a
	non-whitespace/punctuation char. Replace "location" field with
	parameter usage, so it's easier to follow the usage. Refactor out
	some expression finder creation so it's all done in one place.

2008-11-11  Mike Krüger  <mike@icsharpcode.net>

	* Gui/MemberCompletionData.cs: fixed 'Bug 441621 - Ctrl-space in middle
	of word does not overwrite rest of word'.

2008-11-11  Mike Krüger  <mike@icsharpcode.net>

	* Gui/CSharpTextEditorCompletion.cs: fixed completion popup for
	string/char literals.

2008-11-11  Mike Krüger  <mike@icsharpcode.net>

	* Gui/NewOverrideCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 442728 - Code completion
	for 'override' is not aware of namespaces".

2008-11-11  Mike Krüger  <mike@icsharpcode.net>

	* Gui/CSharpTextEditorCompletion.cs:
	* FormattingStrategy/CSharpIndentEngine.cs: fixed 'Bug 443453 -
	Parameter completion and comments'.

2008-11-11  Mike Krüger  <mike@icsharpcode.net>

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 443493 - C# completion
	should not trigger at start of existing words'.

2008-11-10  Mike Krüger  <mike@icsharpcode.net>

	* Gui/CSharpTextEditorCompletion.cs: Added enable auto completion
	option.

2008-11-07  Mike Krüger  <mike@icsharpcode.net>

	* Parser/CodeGenerator.cs:
	* Gui/NRefactoryResolver.cs:
	* Parser/NRefactoryParser.cs: fixed 'Bug 364779 - When I click "Find All
	References" monodevevlop crashes'.

2008-11-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/NRefactoryResolver.cs: Disable debug message.

2008-11-06  Mike Krüger  <mike@icsharpcode.net>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 442127 - "Find all references"
	hit uncancelable infinite loop, 100% CPU'.

2008-11-06  Mike Krüger  <mike@icsharpcode.net>

	* Gui/NRefactoryResolver.cs:
	* Gui/CodeTemplateCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: Code templates are now shown in
	code  completion list, when auto insert is enabled.

2008-11-06  Mike Krüger  <mike@icsharpcode.net>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 442047 - 'Go to declaration'
	missing for vars'.

2008-11-05  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Return mutable completion lists
	when appropriate. Fixes Bug 440641 - "Parsing files" message not
	shown anymore in the completion window.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBinding.addin.xml: Bump MD version.

2008-11-05  Mike Krüger  <mike@icsharpcode.net>

	* Gui/ResolveVisitor.cs:
	* Parser/NRefactoryParser.cs: fixed bug 'Bug 441671 - Finalisers show up
	in code completion'.

2008-11-04  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CompilerOptionsPanelWidget.cs: Disable CompileTarget and MainClass
	setting when project.IsLibraryBasedProjectType. Prevents messing up
	ASP.NET and Moonlight projects.

2008-11-04  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs:
	* Gui/CompilerOptionsPanelWidget.cs: Allow setting the Main class for
	libraries.

2008-11-04  Mike Krüger  <mike@icsharpcode.net>

	* Parser/CodeGenerator.cs: worked on refactoring.

2008-11-04  Mike Krüger  <mike@icsharpcode.net>

	* Parser/CodeGenerator.cs: Worked on refactoring.

2008-11-04  Mike Krüger  <mike@icsharpcode.net>

	* Parser/CodeGenerator.cs: fixed 'Bug 404906 - variable refactor -> rename freezes MD'.

2008-11-03  Mike Krüger  <mike@icsharpcode.net>

	* Parser/CodeGenerator.cs:
	* Gui/NRefactoryResolver.cs: worked on refactoring operations.

2008-11-03  Mike Krüger  <mike@icsharpcode.net>

	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 439960 - Return
	type not shown in tool tip'.

2008-10-31  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: fixed bug in parameter output.

2008-10-31  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 439963 - Lacking
	members in code completion'

2008-10-31  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed possible null reference.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorCompletion.cs: worked on "new" completion.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NewCSharpExpressionFinder.cs: Worked on "new" completion.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 432438 - Incorrect
	autocomplete for delegates'.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: Fixed 'Bug 432434 - Code completion
	doesn't work with subclasses'.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 436312 - Couldn't deal
	well with elements which have generic and non-generic presence at the
	same time'.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed  duplicate member bug.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 436705 - code completion
	for constructors does not handle class name collisions properly'.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: using type reference parsing for object
	creation.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 432434 - Code completion
	doesn't work with subclasses'.

2008-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* CSharpBindingCompilerManager.cs: Write the comand used for compiling
	to the output. Fixes bug #430499.

2008-10-29  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed bug 'Bug 439601 - Intellisense Broken
	For Partial Classes'.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 325173 - Clashes resolved
	incorrectly'.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 439446 - Invoking
	events has extra completion options'.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* CSharpBinding.addin.xml: removed old ambience reference.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* CSharpBinding.addin.xml: moved ambience extension node to project
	model.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* CSharpBinding.addin.xml: fixed 'Bug 399737 - Code completion busted
	for referenced assemblies that are not in GAC, are outside of the
	solution, and which are referenced by other non-GAC outside
	referenced assemblies'.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* Gui/EventCreationCompletionData.cs: event creation is now done with a
	stringbuilder.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/EventCreationCompletionData.cs: Worked on event handler
	completion.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/EventCreationCompletionData.cs: handled instantiated types for
	event completion.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs: Removed duplicate method.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 434705 - No autocomplete
	offered if not assigning result of 'new' to a variable'.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed possible null reference
	exception.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: Fixed 'Bug 438699 - Code completion shows
	too many options'.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewOverrideCompletionData.cs: fixed setter generation in override
	completion.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 436870 - Inheriting from
	base class gives bad code completion (reopened)" 

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 432727 - No
	completion if no constructor'.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewCSharpExpressionFinder.cs: fixed 'Bug 434705 - No autocomplete
	offered if not assigning result of 'new' to a variable'.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NRefactoryParameterDataProvider.cs: Removed debug messages.

2008-10-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewOverrideCompletionData.cs: fixed override bug.

2008-10-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 438708 - Changing
	namespace results in MD hanging'.

2008-10-24  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryParameterDataProvider.cs: fixed
Bug 434706 -
	Autocomplete should expand on pressing comma
Bug 434717 - No
	completion for nullable types

	* Gui/CSharpAmbience.cs: Fixed a null reference exception.

2008-10-22  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs: C# ambience can now print instantiated types.

2008-10-21  Michael Hutchinson  <mhutchinson@novell.com>

	* templates/AssemblyInfo.xft.xml: Use an AssemblyVersion that'll build
	with csc. Fixes "Bug 436273 - created AssemblyInfo.cs does not build
	on VS2005".

2008-10-20  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 436870 - Inheriting from
	base class gives bad code completion".

2008-10-20  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewOverrideCompletionData.cs: fixed Bug 436951 - Overriding an
	abstract property is incorrect.

2008-10-20  Lluis Sanchez Gual <lluis@novell.com> 

	* Autotools/Autotools.mdp, Autotools/Makefile.am: Fix build.

2008-10-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/NewOverrideCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/EventCreationCompletionData.cs: fixed 'Bug 436320 - Autocomplete
	does not show compatible event handlers'.

2008-10-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 434701 - No autocomplete
	in attributes'.

2008-10-18  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/EventCreationCompletionData.cs: Worked on event completion.

2008-10-17  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 434705 - No autocomplete
	offered if not assigning result of 'new' to a variable'. 

2008-10-16 Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/MemberCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs:
	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 434701 - No
	autocomplete in attributes'.

2008-10-16 Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 434705 - No autocomplete
	offered if not assigning result of 'new' to a variable'.

2008-10-15 Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed 'Bug 434770 - No autocomplete on
	array types'.

2008-10-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/MemberCompletionData.cs: Tidy up last commit.

2008-10-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/MemberCompletionData.cs: Fix accidentally marking all overloads as
	obsolete.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: Track APIs.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/MemberCompletionData.cs:
	* Gui/NewOverrideCompletionData.cs:
	* Gui/CSharpTextEditorCompletion.cs: Track CompletionData API.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/CSharpAmbience.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 431803 - Autocomplete
	not giving any options'.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/ResolveVisitor.cs:
	* Gui/NRefactoryResolver.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 432681 - Incorrect
	completion in nested classes'.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed possible null reference.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* Parser/NRefactoryParser.cs: fixed 'Bug 433410 - Code folding toggle in
	the wrong place'.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs: fixed some bugs with parameters,

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 433735 - Autocomplete of
	`using' statement behaves like `using' directive'.

2008-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/MemberCompletionData.cs: Make code more readable.

2008-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/NRefactoryResolver.cs: Track API changes.

2008-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CSharpTextEditorCompletion.cs: Track API.

	* Gui/MemberCompletionData.cs: Don't subclass CodeCompletionData, but
	implement interfaces directly so we have more control over the API.
	Don't mark as obsolete if some overloads are not obsolete.

2008-10-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed regression bug.

2008-10-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/NRefactoryResolver.cs:
	* Gui/NewCSharpExpressionFinder.cs:
	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 432681 - Incorrect
	completion in nested classes'.

2008-10-08  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: fixed 'Bug 429025 - Code completion of 'base'
	  doesn't work'.

2008-10-08  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: fixed possible null references.

2008-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/MemberCompletionData.cs: Re-implement sinking obsolete members to
	  the bottom, but in a non-broken way this time.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryParameterDataProvider.cs: fixed 'Bug 432727 - No
	  completion if no constructor'.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs, Gui/NRefactoryResolver.cs,
	  Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 431382 - Code
	  completion should strip Attribute suffix from classes deriving from
	  System.Attribute'.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs: fixed possible null reference in
	  compare.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs: fixed 'Bug 430813 - Completion list
	  feels really broken when items are not sorted alphabetically'.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryParameterDataProvider.cs, Gui/CSharpAmbience.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on code completion.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/CSharpTextEditorCompletion.cs: fixed
	  'Bug 431761 - Code completion is incorrect'.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs: fixed +-1 error.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed possible null reference.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: fixed 'base' bug.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs: fixed 'Bug 432436 -
	  Code completion shouldn't activate before the equals when declaring
	  variables'.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs, Gui/NRefactoryResolver.cs,
	  Gui/CSharpTextEditorCompletion.cs: fixed Bug 432435 - Code
	  completion shows 'List', not List<T>.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: fixed Bug 432658 - Incorrect completion
	  when calling an extension method from inside another extension
	  method.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorIndentation.cs: Fixed a bug in tab as reindent
	  command.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: fixed 'Bug 431797 - Code completion
	  showing invalid options'.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 431759 - Code
	  completion should not happen in #region directives'.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: fixed 'Bug 431764 - Completion doesn't
	  work in properties'.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 432437 - No
	  completion when invoking delegates'.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Updated xml comment tag
	  descriptions from ECMA 364.

2008-10-02  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 431462 - Code
	  completion generally unusable with with 'using' aliases'.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* CSharpBindingCompilerManager.cs: Track API.

2008-09-29  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/MemberCompletionData.cs: Fix NRE that broke completion.

2008-09-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Autotools/CSharpAutotoolsSetup.cs: Fix bug #394501 - tarball
	  generated don't add -keyfile:<strong_name_file>.snk in MAKE command
	  in Makefile.in.

2008-09-29  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 430393 - "// test/"
	  generates <summary> comment'.

2008-09-29  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs: moved obsolete members at the bottom of
	  the list.

2008-09-26  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/NRefactoryParser.cs: Track API.

2008-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CodeGenerationPanel.cs: Properly read and store the "warnings as
	  errors" flag.
	* Project/CSharpCompilerParameters.cs: Added PlatformTarget property.
	  Other minor fixes.

2008-09-26  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpAmbience.cs: Worked on csharp ambience.

2008-09-25  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/NRefactoryParser.cs: Track API.

2008-09-25  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpAmbience.cs: fixed 'Bug 424499 - Member list should display
	  normal members and explicitly implemented members differently'.

2008-09-24  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/NRefactoryParser.cs: Fix line/column of errors.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: fixed anonymous type bug.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs, Gui/CSharpTextEditorCompletion.cs: Show
	  extension parameter for static resolve.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs, Gui/NewOverrideCompletionData.cs,
	  Gui/ResolveVisitor.cs, Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpAmbience.cs: Added support for C#3.0 extension methods.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 427702 - Code
	  Completion: 'is' and 'as' completion not working properly'.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* Parser/NRefactoryParser.cs: Worked on tag comments.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Worked on ctrl+space code
	  completion.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 429034 - Class alias
	  completion not working properly'.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs: Added missing constructor
	  accessible check.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs, Parser/NRefactoryParser.cs:
	  fixed 'Bug 427448 - Code Completion: completion of constructor
	  parameters not working'.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Parser/NRefactoryParser.cs: Added pre processor #if directive
	  foldings.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryParameterDataProvider.cs, Gui/CSharpAmbience.cs: fixed
	  'Bug 429040 - Parameter completion tooltip not highlighting current
	  parameter'.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs, Gui/ResolveVisitor.cs: fixed 'Bug 429035
	  - Completion of string.IsNullOrEmpty throws an exception'.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewOverrideCompletionData.cs: fixed 'Bug 429032 - Override
	  completion elements can't be selected by name'.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs, Gui/CSharpTextEditorCompletion.cs: fixed
	  'Bug 429029 - Override completion missing some methods'.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed 'Bug 429024 - Code
	  completion list shown for 'using' when inside a comment or string'

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewOverrideCompletionData.cs, Gui/CSharpTextEditorCompletion.cs:
	  fixed 'Bug 428387 - Code Completion: 'override' completion is
	  incorrect for interfaces'.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Worked on ctrl+space command.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpAmbience.cs: Generic method parameters are now emitted.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs: fixed 'Bug 367716 - Code completion
	  shows obsolete functions'.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed bug 'Bug 427511 - Code
	  Completion not working for files not belonging to a project'.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: Resolver now throws an argumentnull
	  exception, when dom is not set.

2008-09-20  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Gui/CSharpTextEditorCompletion.cs: removed
	  debug messages.

2008-09-20  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Parser/NRefactoryParser.cs: Added operator
	  overload handling.

2008-09-20  Mike Krüger <mkrueger@novell.com> 

	* Parser/NRefactoryParser.cs: Operators are now converted.

2008-09-20  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewCSharpExpressionFinder.cs, Gui/CSharpTextEditorCompletion.cs:
	  Fixed 'Bug 427375 - Code Completion: Incorrect completion of
	  "using"'

2008-09-20  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Removed duplicate get/set in
	  property declaration.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: fixed 'Bug 427734 - Code Completion issues
	  with enums'.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: forget one commit.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: fixed 'Bug 427649 - Code Completion: protected
	  methods shown in code completion'.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Gui/CSharpTextEditorCompletion.cs: fixed 'Bug
	  405000 - Namespace alias qualifier operator (::) does not trigger
	  code completion'.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: fixed 'Bug 397930 - Navigation to generic
	  method not working correctly'.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs: Found cleaner way
	  for method resolve result.

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Track api changes.
	* gtk-gui/objects.xml, gtk-gui/gui.stetic: Flush.

2008-09-18  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: fixed "Bug 427294 - Code Completion:
	  completion on values returned by methods doesn't work".

2008-09-18  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 427286 - Code
	  Completion: completion done without showing the completion list".

2008-09-18  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed "Bug 427284 - Code
	  Completion: class list shows the full name of classes".

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CompilerOptionsPanelWidget.cs: Properly store properties in the
	  project configurations. The project's configuration list can't be
	  used because it is duplicated by the properties dialog while it is
	  being edited.
	* Parser/NRefactoryParser.cs: Parse positional and named attribute
	  arguments.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.mdp: Updated projects.

2008-09-17  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs, Gui/NRefactoryResolver.cs,
	  Gui/CSharpTextEditorCompletion.cs: Fixed code completion issue.

2008-09-17  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Some changes required for unit
	  testing.

2008-09-16  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/MemberCompletionData.cs: Improve rendering of documentation. The
	  new EscapeText call also fixes bug #416842.

2008-09-16  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs: Removed some debug messages.

2008-09-16  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/NewCSharpExpressionFinder.cs,
	  Gui/CSharpTextEditorCompletion.cs: fixed regression 325081.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: fixed possible null reference exception.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewCSharpExpressionFinder.cs, Gui/CSharpTextEditorCompletion.cs:
	  added namespace expression context.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed code completion bug.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: added typeof ( context.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: added base class context.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed regression 334620.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed regression 325509.

2008-09-15  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/MemberCompletionData.cs: Use the EmitMarkup flag when generating
	  member documentation.
	* Gui/CSharpAmbience.cs: Escape '<' and '>' when emitting type names
	  with markup.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewCSharpExpressionFinder.cs: fixed regression 324908

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryParameterDataProvider.cs, Gui/CSharpAmbience.cs: fixed
	  regression 324907.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Fixed offset for method
	  completion.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: fixed regression 323317.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: fixed regression from 323283.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: fixed regression from 321306.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/CSharpTextEditorCompletion.cs: Fixed
	  regression from bug 318834.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpAmbience.cs: Ambiences now take care of the IncludeGenerics
	  flag.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed code completion list bug.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/CSharpTextEditorCompletion.cs: fixed
	  cc bug.

2008-09-15  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Run the completion extension before the
	  indentation extension. Fixes tab completion of 'override'.

2008-09-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs: fixed bug in code completion list.

2008-09-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/MemberCompletionData.cs, Gui/CSharpAmbience.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on code completion.

2008-09-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewOverrideCompletionData.cs, Gui/CSharpTextEditorCompletion.cs:
	  Worked on override completion.

2008-09-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Fixed bug in override completion.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Autotools/Autotools.mdp, gtk-gui/generated.cs,
	  gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs,
	  gtk-gui/CSharpBinding.CompilerOptionsPanelWidget.cs,
	  gtk-gui/CSharpBinding.FormattingPanelWidget.cs, gtk-gui/gui.stetic:
	  Updated generated code.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CompilerOptionsPanelWidget.cs, Gui/CSharpTextEditorCompletion.cs,
	  Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs: Track api
	  changes.

2008-09-11  Mike Krüger <mkrueger@novell.com> 

	* Parser/NRefactoryParser.cs: Worked on fold information update.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: Added missing search type.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* Parser/NRefactoryParser.cs: recognizing using/namespace import
	  differences

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryDocumentMetaInformation.cs, Parser/DomParser.cs,
	  Parser/NRefactoryParser.cs: Changed compilation unit/document meta
	  information interface.

2008-09-09  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Added duplicate namespace filter.

2008-09-09  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs, Parser/NRefactoryParser.cs: Some changes caused
	  by interface changes.

2008-09-08  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs, Parser/NRefactoryParser.cs: Fixed some issues
	  found by unit testing.

2008-09-05  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Parser/DomParser.cs,
	  Parser/NRefactoryParser.cs: Worked on dom/refactoring.

2008-09-05  Mike Krüger <mkrueger@novell.com> 

	* Parser/NRefactoryParser.cs: fixed bug with namespace resolving.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: Fixed inner type bug.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryParameterDataProvider.cs, CSharpBinding.addin.xml,
	  CSharpBinding.mdp, Parser/NRefactoryParser.cs, gtk-gui/gui.stetic,
	  Makefile.am: Added nrefactory based parser.

2008-08-21  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: fixed possible null ref.

2008-08-20  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Parser/DomParser.cs: Worked on indexer resolving.

2008-08-20  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/NRefactoryParameterDataProvider.cs,
	  Gui/NewCSharpExpressionFinder.cs: Fixed some accessibility issues.

2008-08-19  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Fixed type modifiers (fixes some bugs in
	  stetic).

2008-08-19  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Parser/DomParser.cs,
	  Parser/CodeGenerator.cs: Worked on resolving/code generation.

2008-08-18  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on completion.

2008-08-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs,
	  Gui/CSharpTextEditorIndentation.cs: Worked on completion.

2008-08-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/CSharpTextEditorCompletion.cs,
	  Parser/DomParser.cs, Parser/CodeGenerator.cs,
	  Parser/LanguageItemVisitor.cs,
	  Parser/SharpDevelopTree/GenericParameter.cs,
	  Parser/SharpDevelopTree/Destructor.cs,
	  Parser/SharpDevelopTree/Method.cs,
	  Parser/SharpDevelopTree/ReturnType.cs,
	  Parser/SharpDevelopTree/Class.cs,
	  Parser/SharpDevelopTree/Constructor.cs,
	  Parser/SharpDevelopTree/AttributeSection.cs,
	  Parser/CSharpExpressionFinder.cs, Makefile.am: worked on code
	  completion/dom/enum completion,

2008-08-13  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Parser/CodeGenerator.cs: Worked on some todos.

2008-08-08  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: Worked on some TODOS in the code generator.

2008-08-08  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewOverrideCompletionData.cs, Gui/CSharpTextEditorCompletion.cs:
	  Added ToString method auto generation.

2008-08-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/CSharpAmbience.cs,
	  Parser/CodeGenerator.cs: Worked on dom.

2008-08-06  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/CSharpTextEditorCompletion.cs,
	  Parser/DomParser.cs: Worked on code completion.

2008-08-05  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs: Fixed resolver bug.

2008-08-04  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Gui/CSharpAmbience.cs, Parser/DomParser.cs:
	  Worked on ambiences and resolving

2008-08-04  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on C#3 code completion.

2008-08-01  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs,
	  Gui/CSharpTextEditorIndentation.cs: Share the state engine between
	  these two editor extensions. Should improve performance a fair bit.

2008-08-01  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: added some changes for return type
	  representation.

2008-07-31  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs,
	  Gui/CSharpTextEditorIndentation.cs: Only attach to C# documents.

2008-07-31  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpParameterDataProvider.cs, Gui/OverrideCompletionData.cs,
	  CSharpBinding.mdp, Parser/DomParser.cs, Parser/Parser.cs,
	  Parser/CSharpVisitor.cs, Parser/Resolver.cs, Parser/TypeVisitor.cs,
	  Parser/LanguageItemVisitor.cs, Parser/ExpressionFinder.cs,
	  Parser/CSharpExpressionFinder.cs, CSharpAmbience.cs, Makefile.am:
	  Removed outdated files.

2008-07-31  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/NewCSharpExpressionFinder.cs: Worked on C#3 code completion.

2008-07-30  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs, Gui/CSharpTextEditorIndentation.cs:
	  Worked on text editor indentation.

2008-07-30  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs: some changes due to
	  dom changes.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* CSharpLanguageBinding.cs, Gui/CSharpParameterDataProvider.cs,
	  Gui/CSharpTextEditorExtension.cs, Gui/NewCSharpExpressionFinder.cs,
	  Gui/OverrideCompletionData.cs, Gui/CSharpAmbience.cs,
	  Gui/CodeGenerationPanel.cs, Gui/CompilerOptionsPanelWidget.cs,
	  Parser/Parser.cs, Parser/CSharpVisitor.cs, Parser/CodeGenerator.cs,
	  Parser/Resolver.cs, Parser/TypeVisitor.cs,
	  Parser/LanguageItemVisitor.cs, Parser/ExpressionFinder.cs,
	  Parser/SharpDevelopTree/GenericParameter.cs,
	  Parser/SharpDevelopTree/Destructor.cs,
	  Parser/SharpDevelopTree/Method.cs,
	  Parser/SharpDevelopTree/ReturnType.cs,
	  Parser/SharpDevelopTree/Class.cs,
	  Parser/SharpDevelopTree/Constructor.cs,
	  Parser/SharpDevelopTree/AttributeSection.cs,
	  Parser/CSharpExpressionFinder.cs, CSharpAmbience.cs: Translated old
	  code to new dom.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs, Parser/CodeGenerator.cs: Changes
	  for converted refactoring infrastructure.

2008-07-28  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Parser/LanguageItemVisitor.cs: Fixed some
	  nrefactory stuff.

2008-07-28  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryDocumentMetaInformation.cs, Parser/Parser.cs: Some
	  changes for nrefactory.

2008-07-28  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryDocumentMetaInformation.cs, Gui/ResolveVisitor.cs,
	  Parser/Parser.cs, Parser/CodeGenerator.cs, Parser/TypeVisitor.cs,
	  Parser/LanguageItemVisitor.cs: Some changes that make the
	  csharpbinding compile with the new nrefactory.

2008-07-27  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewOverrideCompletionData.cs, Gui/CSharpTextEditorCompletion.cs,
	  Gui/NRefactoryDocumentMetaInformation.cs,
	  Gui/MemberCompletionData.cs, Gui/NRefactoryResolver.cs,
	  Gui/ResolveVisitor.cs, Gui/NewCSharpExpressionFinder.cs,
	  Gui/CSharpAmbience.cs, Parser/DomParser.cs, CSharpAmbience.cs:
	  Worked on code completion/new dom.

2008-07-23  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs, Gui/CSharpTextEditorExtension.cs:
	  Track API.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/CSharpCompilerParameters.cs: Moved serialization engine to
	  MonoDevelop.Core. Use new syntax for specifying attribute scope.

2008-07-17  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on code completion.

2008-07-16  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: fixed bug in ctrl+space completion
	  data.

2008-07-16  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs: some bugfixes.

2008-07-16  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs: Added xml documentation
	  support/bugfixes.

2008-07-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/NewCSharpExpressionFinder.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on 'new' completion.

2008-07-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Parser/DomParser.cs: Fixed namespace resolve
	  bug.

2008-07-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs: Fixed possible null reference exception.

2008-07-14  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Changes due to recent dom parser changes.

2008-07-14  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs: Fixed inner types.

2008-07-13  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorCompletion.cs: Worked on ctrl+space completion.

2008-07-13  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on code completion.

2008-07-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs: Some code
	  completion fixes.

2008-07-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewOverrideCompletionData.cs, Gui/CSharpAmbience.cs,
	  Gui/CSharpTextEditorCompletion.cs, Parser/DomParser.cs: Added C#
	  ambience for new dom. Worked on override completion.

2008-07-11  Mike Krüger <mkrueger@novell.com> 

	* Gui/NewOverrideCompletionData.cs, Gui/NewCSharpExpressionFinder.cs,
	  Gui/OverrideCompletionData.cs, Gui/CSharpTextEditorCompletion.cs,
	  Parser/DomParser.cs: Worked on code completion.

2008-07-11  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/CSharpTextEditorCompletion.cs,
	  Gui/CSharpTextEditorExtension.cs: Added xml/preprocessor completion
	  to the new completion class.

2008-07-10  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs, Parser/DomParser.cs: Worked on
	  code completion.

2008-07-10  Mike Krüger <mkrueger@novell.com> 

	* CSharpBinding.addin.xml: accidentally checked in new code completion
	  enabled addin file.

2008-07-10  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/NewCSharpExpressionFinder.cs,
	  Gui/CSharpTextEditorCompletion.cs, Parser/DomParser.cs: Worked on
	  code completion. Added new expression finder from sharpdevelop3
	  (LGPL).

2008-07-09  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Gui/NRefactoryParameterDataProvider.cs: Worked
	  on new dom.

2008-07-09  Mike Krüger <mkrueger@novell.com> 

	* CSharpBinding.addin.xml: switched back to old code completion.

2008-07-09  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Gui/NRefactoryParameterDataProvider.cs,
	  Gui/CSharpParameterDataProvider.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on method completion.

2008-07-08  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on completion.

2008-07-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/CSharpTextEditorCompletion.cs,
	  Parser/DomParser.cs, Parser/mcs/dom.cs: Worked on completion.

2008-07-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on code completion.

2008-07-04  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/CSharpTextEditorCompletion.cs: Worked
	  on text editor completion.

2008-07-04  Mike Krüger <mkrueger@novell.com> 

	* Parser/Parser.cs: fixed Bug 405930 - FoldingRegions in compilation
	  units are all folded by default.

2008-07-04  Mike Krüger <mkrueger@novell.com> 

	* Gui/ResolveVisitor.cs, Gui/CSharpTextEditorCompletion.cs: Worked on
	  completion.

2008-06-25  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/CSharpTextEditorCompletion.cs: Worked on code completion.

2008-06-25  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs: Worked on
	  nrefactory resolver.

2008-06-24  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/ResolveVisitor.cs,
	  Gui/CSharpTextEditorCompletion.cs, Parser/DomParser.cs,
	  Parser/Resolver.cs, Parser/CSharpExpressionFinder.cs, Makefile.am:
	  Worked on code completion 

2008-06-23  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fix preprocessor directive
	  completion. Short out completion when indent engine says inside
	  string or comment.
	* FormattingStrategy/CSharpIndentEngine.cs: Add methods to check if
	  inside preprocessor directive or comment/string.

2008-06-23  Michael Hutchinson <mhutchinson@novell.com> 

	* FormattingStrategy/CSharpIndentEngineStack.cs,
	  FormattingStrategy/CSharpIndentEngine.cs: Capture keywords for
	  proprocessor directives. Pop #region/#endregion directives back
	  out.

2008-06-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Added tab == reindent function.

2008-06-20  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/CodeGenerator.cs: Implement creation of folding regions, and
	  copy workaround in ImplementMember to new ImplementMembers
	  override.

2008-06-20  Ankit Jain  <jankit@novell.com>

	* Gui/CSharpTextEditorExtension.cs (FindOverridables): Move to
	CodeRefactorer and use that.

2008-06-19  Mike Krüger <mkrueger@novell.com> 

	* Gui/NRefactoryResolver.cs, Gui/CSharpTextEditorCompletion.cs,
	  Gui/CSharpTextEditorExtension.cs: Worked on code completion with
	  the new dom.

2008-06-13  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs, Parser/DomParserOld.cs,
	  Parser/DomParser.cs, Parser/CSharpExpressionFinder.cs: Worked on
	  new expression finder.

2008-06-10  Andres G. Aragoneses <aaragoneses@novell.com> 

	* CSharpBindingCompilerManager.cs: Implement feature to allow unmanaged
	  project references in a managed project (bug#397490).

2008-06-04  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: fixed 'Bug 396798 - Smart
	  Indendation mode doesn't work with tab-to-space-conversion
	  enabled'.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Bump MD version.

2008-05-28  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Worked on dom parser.

2008-05-27  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Fixed some bugs in the new dom parsing.

2008-05-27  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Added new dom & new class browser.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Merged the extension points for project and
	  solution option panels into a single extension point. A single
	  extension point will now be used for all kinds of items. Extension
	  conditions can be used to make panels visible only for some
	  specific item types.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpLanguageBinding.cs, CSharpBindingCompilerManager.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/OverrideCompletionData.cs, Gui/CodeGenerationPanel.cs,
	  Gui/CompilerOptionsPanelWidget.cs, CSharpBinding.addin.xml,
	  md1format.xml, CSharpBinding.mdp, Parser/Parser.cs,
	  CSharpBindingCompilerManager.cs,
	  Project/CSharpResourceIdBuilder.cs,
	  Project/CSharpCompilerParameters.cs, gtk-gui/gui.stetic,
	  Makefile.am: New project model changes.

2008-05-08  Michael Hutchinson <mhutchinson@novell.com> 

	* CSharpBinding.addin.xml: Set "isText" attribute on the mimetype
	  definitions.

2008-04-24  Mike Krüger <mkrueger@novell.com> 

	* Parser/DomParser.cs: Worked on mcs integration.

2008-04-21  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fix indexer range crasher. Thanks
	  to Atsushi Eno and Joseph Lombrozo for spotting this.

2008-04-18  Marek Safar <marek.safar@gmail.com>

	* Parser/mcs/**: Exposed most of the type container members.

2008-04-17  Michael Hutchinson <mhutchinson@novell.com> 

	* FormattingStrategy/CSharpIndentEngine.cs: Implement
	  IDocumentStateEngine so that state tracking logic can be moved into
	  MonoDevelop.Ide.
	* Gui/CSharpTextEditorExtension.cs: Move state tracking logic into
	  MonoDevelop.Ide. Tidy some things into regions.

2008-04-17  Marek Safar <marek.safar@gmail.com>

	* Parser/mcs/**
	* Parser/DomParser.cs: Added top level types info.

2008-04-16  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Track API change. Remove char code
	  translation hack.
	* Gui/CompilerOptionsPanelWidget.cs: Fix minor GTK warning.

2008-04-16  Marek Safar <marek.safar@gmail.com>

	* Parser/mcs/**: Initial top level DOM support.
	
	* Parser/DomParser.cs: Updated.

	* Makefile.am: Updated.

2008-04-16  Marek Safar <marek.safar@gmail.com>

	* Parser/mcs/cs-parser.cs: Sync with /mcs/mcs

	* Makefile.am: Updated.

2008-04-15  Mike Krüger <mkrueger@novell.com> 

	* Parser/Parser.cs: fixed Bug 379224 - Folded XML-comment should
	  contain content of <summary/>

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/CodeGenerator.cs: Fix potential infinite loop.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Use the new mime type extension to register
	  new file types.
	* Parser/CSharpVisitor.cs: Remove debug code.

2008-04-10  Mike Krüger <mkrueger@novell.com> 

	* Makefile.am: updated makefile.am

2008-04-10  Mike Krüger <mkrueger@novell.com> 

	* Parser/mcs/typemanager.cs: fixes compilation error.

2008-04-10  Mike Krüger <mkrueger@novell.com> 

	* CSharpBinding.addin.xml, CSharpBinding.mdp, Parser/DomParser.cs,
	  Parser/mcs, Parser/mcs/report.cs, Parser/mcs/generic.cs,
	  Parser/mcs/support.cs, Parser/mcs/typemanager.cs,
	  Parser/mcs/cs-tokenizer.cs, Parser/mcs/External,
	  Parser/mcs/External/MonoSymbolWriter.cs,
	  Parser/mcs/External/MonoSymbolFile.cs,
	  Parser/mcs/External/CryptoConvert.cs,
	  Parser/mcs/External/MonoSymbolTable.cs,
	  Parser/mcs/doc-bootstrap.cs, Parser/mcs/lambda.cs,
	  Parser/mcs/parameter.cs, Parser/mcs/modifiers.cs,
	  Parser/mcs/pending.cs, Parser/mcs/rootcontext.cs,
	  Parser/mcs/namespace.cs, Parser/mcs/literal.cs,
	  Parser/mcs/ecore.cs, Parser/mcs/linq.cs, Parser/mcs/class.cs,
	  Parser/mcs/decl.cs, Parser/mcs/location.cs,
	  Parser/mcs/roottypes.cs, Parser/mcs/delegate.cs,
	  Parser/mcs/flowanalysis.cs, Parser/mcs/iterators.cs,
	  Parser/mcs/cs-parser.jay, Parser/mcs/convert.cs,
	  Parser/mcs/assign.cs, Parser/mcs/const.cs, Parser/mcs/cfold.cs,
	  Parser/mcs/anonymous.cs, Parser/mcs/constant.cs,
	  Parser/mcs/driver.cs, Parser/mcs/AssemblyInfo.cs,
	  Parser/mcs/generic-mcs.cs, Parser/mcs/nullable.cs,
	  Parser/mcs/cs-parser.cs, Parser/mcs/expression.cs,
	  Parser/mcs/symbolwriter.cs, Parser/mcs/attribute.cs,
	  Parser/mcs/enum.cs, Parser/mcs/statement.cs, Parser/mcs/doc.cs,
	  Makefile.am, Parser/mcs/codegen.cs: Worked on mcs parser layer
	* Parser/Parser.cs: fixed 'Bug 378432 - Comments should not fold if
	  they are not the first text on the line'.

2008-04-02  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Fixed namespace bug.

2008-04-02  Mike Krüger <mkrueger@novell.com> 

	* Parser/Parser.cs: fixed typo

2008-04-02  Mike Krüger <mkrueger@novell.com> 

	* Parser/Parser.cs: fixed comment positioning.

2008-04-02  Michael Hutchinson <mhutchinson@novell.com>

	* Parser/Parser.cs: Fix build on Mono head, where gmcs's ternary 
	  operator precedence is behaving differently for some reason. 

2008-04-01  Mike Krüger <mkrueger@novell.com> 

	* Parser/Parser.cs: No longer generating folding regions for single
	  line comments.

2008-03-31  Mike Krüger <mkrueger@novell.com> 

	* Parser/CSharpVisitor.cs: added location information for using
	  statements.

2008-03-31  Mike Krüger <mkrueger@novell.com> 

	* Parser/Parser.cs: Added folding regions for comments.

2008-03-28  Peter Johanson <peter@peterjohanson.com>

	* Parser/Resolver.cs: Make "value" resolve properly to System.Array
	  when in the setter for a property that's an array type.

2008-03-27  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Added patch from Jan Oravec  to fix Bug 372380 -
	  MD crash.

2008-03-21  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: fixed Bug 372380 - MD crash.

2008-03-19  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fix CS0136 error with csc (see gmcs
	  "Bug 370414 - Missing CS0136").

2008-03-13  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: fixed typo.

2008-03-13  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Fixed Bug 367270 - MD crash.

2008-03-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/CodeGenerationPanel.cs, Parser/Resolver.cs,
	  Parser/ExpressionFinder.cs,
	  gtk-gui/CSharpBinding.FormattingPanelWidget.cs: Fixed compiler
	  warnings, fixed Bug 369476 - NRE in C# binding crashed text editor.

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/FormattingPanel.cs, CSharpBinding.addin.xml,
	  gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs,
	  gtk-gui/CSharpBinding.CompilerOptionsPanelWidget.cs,
	  gtk-gui/CSharpBinding.FormattingPanelWidget.cs: Use new options
	  dialog infrastructure.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* Gui/CompilerOptionsPanelWidget.cs,
	  gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs,
	  gtk-gui/CSharpBinding.CompilerOptionsPanelWidget.cs: Worked on gnome hig
	  compliant alerts.

2008-02-28  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/CodeGenerator.cs: Fix line/column check. Positions are
	  1-based.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* CSharpBinding.mdp, Makefile.am: Removed some unused glade and gnome-sharp
	  references (only the unused). But I'll continue to remove glade, we need
	  to lower the dependency tree a bit.

2008-02-09  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs, Gui/FormattingPanel.cs,
	  CSharpBinding.addin.xml, CSharpBinding.mdp,
	  FormattingStrategy/CSharpFormattingStrategy.cs,
	  gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs,
	  gtk-gui/CSharpBinding.CompilerOptionsPanelWidget.cs, Makefile.am:
	  Removed SourceEditor dependency.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* Parser/Parser.cs: Fixed #region ... #endregion end region position.

2008-02-04  Mike Krüger <mkrueger@novell.com> 

	* Parser/CSharpVisitor.cs: Corrected type location.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Update MD version.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/ConsoleProject.xpt.xml, templates/GnomeSharp2Project.xpt.xml,
	  templates/GtkSharp2Project.xpt.xml,
	  templates/GladeSharp2Project.xpt.xml, templates/Library.xpt.xml,
	  templates/EmptyCSharpFile.xft.xml, templates/EmptyProject.xpt.xml,
	  templates/AssemblyInfo.xft.xml: Make template categories translatable.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* CSharpBindingCompilerManager.cs: Manually create CompilerError for certain
	  errors, as the CreateErrorFromString method returned null in that
	  scenario. Fixes error caused by trying to use a null CompilerError.

2008-01-14  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: fixed Bug 350881 - Code completion not
	  working in a specific case.

2008-01-11  Michael Hutchinson <mhutchinson@novell.com> 

	* CSharpLanguageBinding.cs, CSharpBindingCompilerManager.cs: Don't always
	  set the DEBUG define when debug info is emitted. However, add it to the
	  defines list for new debug configurations.

2008-01-10  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: Fixed Bug 350864 - Refactory tools - renaming.

2008-01-10  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Fixed 350861: Autocomplete displays hidden items

2008-01-08  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs, Parser/Resolver.cs: Fixed some infinite
	  loops when a class inherits from itself due to invalid code. Fixes bug
	  #350855.

2008-01-03  Michael Hutchinson <mhutchinson@novell.com> 

	* CSharpBindingCompilerManager.cs: Check C# compiler exit code to detect
	  when it crashes. Should fix "Bug 351347 - MD ignores mcs/gmcs crash".

2007-12-31  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/AssemblyInfo.xft.xml: Add revision to version number.
	* templates/EmptyCSharpFile.xft.xml: Use standard header instead of
	  hardcoded header.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.mdp: Updated project files. The order of extended properties
	  won't change anymore.

2007-12-13  Michael Hutchinson <mhutchinson@novell.com> 

	* CSharpBinding.addin.xml: Updated. Prefix C# templates IDs with "CSharp" so
	  that they're not invading the generic part of the unique ID landscape.
	* CSharpBinding.mdp, Makefile.am: Updated.
	* templates/ConsoleProject.xpt.xml, templates/GnomeSharp2Project.xpt.xml,
	  templates/GtkSharp2Project.xpt.xml, templates/AssemblyInfo.xft.xml,
	  templates/GladeSharp2Project.xpt.xml, templates/Library.xpt.xml: Move
	  common files out of project templates to ease maintenance. Make
	  AssemblyInfo more readable. Enable standard headers.
	* templates/GnomeSharpProject.xpt.xml, templates/GtkSharpProject.xpt.xml,
	  templates/GladeSharpProject.xpt.xml,
	  templates/GnomeSharpProgram.xft.xml: Remove obsolete templates.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs, Parser/CodeGenerator.cs,
	  Parser/ExpressionFinder.cs: Fix warnings.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml, Autotools/Autotools.mdp, Autotools/Makefile.am,
	  CSharpBinding.mdp, CSharpBinding.mds, gtk-gui/gui.stetic, Makefile.am:
	  Directory reorganization.

2007-12-03  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fix for "Bug 345774 - "override"
	  statement completion include members internal to another assembly.".

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Implement completion of symbols when
	  typing #if or #elif.

2007-11-29  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CompilerOptionsPanelWidget.cs: Load existing LangVersion value.

2007-11-23  Andreia Gaita <avidigal@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: When a comma is typed in a method call,
	check that code completion is active before calling it

2007-11-22  Michael Hutchinson <mhutchinson@novell.com> 

	* CSharpLanguageBinding.cs: Add support for 2.1 profile.
	* Gui/ChooseRuntimePanel.cs: Unused; delete.
	* Gui/CodeGenerationPanel.cs, Gui/CompilerOptionsPanelWidget.cs,
	  gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs,
	  gtk-gui/CSharpBinding.CompilerOptionsPanelWidget.cs: Add support for
	  LangVersion and AdditionalArgs. Move options from per-config to
	  per-project.
	* CSharpBinding.addin.xml, CSharpBinding.mdp, gtk-gui/objects.xml,
	  gtk-gui/gui.stetic, Makefile.am: Updated.
	* Autotools/CSharpAutotoolsSetup.cs: Add support for 2.1 profile, additional
	  args and langversion.
	* CSharpBindingCompilerManager.cs: Add support for 2.1 profile, additional
	  args, nowarn and langversion.
	* Project/CSharpCompilerParameters.cs: Add support for LangVersion and
	  AdditionalArgs.

2007-11-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/CSharpCompilerParameters.cs: Removed some obsolete attributes.

2007-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix distcheck by disabling automatic running of unit 
	  tests in check target, as their running is somewhat broken.

2007-11-19  Michael Hutchinson <mhutchinson@novell.com> 

	* CSharpEnhancedCodeProvider.cs: Use non-obsolete APIs.
	* Parser/CodeGenerator.cs: Track API change.

2007-11-19  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fix invalid cast. Fixes bug #342607.

2007-11-16  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fix "Bug 342124 - Tab should indent,
	  regardless of the position of the cursor", as its behaviour was
	  confusingly inconsistent. Remove some unused code.

2007-11-16  Mike Krüger <mkrueger@novell.com> 

	* Parser/TypeVisitor.cs, CSharpBindingCompilerManager.cs: Fixed "Bug 341901
	  - MD and CS0618 warning results". And a possible nullreference exception
	  in TypeVisitor.

2007-11-14  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Don't interpret tab as a reindent
	  command when there's a selection. Fixes "Bug 341319 - Tab not working
	  correctly". Also, remove a load of dead code.

2007-11-13  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/OverrideCompletionData.cs: When generating overrides, only call the
	  base if it's non-abstract and not an interface, else generate a
	  NotImplementedException. Fixes "Bug 341495 - Problem with auto-generated
	  code for overriden methods".

2007-11-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fix completion of 'new'.

2007-11-13  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Fixed "Bug 339209 - App crashes when trying to list
	  members in base class when you derive from current class".

2007-11-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Completion check for '#' must be done
	  relative to trigger offset. Fixes bug #338382.

2007-11-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/CSharpVisitor.cs: Set the explicit declaration type for indexers.
	* Parser/CodeGenerator.cs: Workaround for bug in the code generator. Generic
	  private implementation types are not generated correctly when they are
	  generic.

2007-11-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: see/seealso tags are now generated with
	  cref (xml doc completion).

2007-11-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed "Bug 340875 - Bugs while using XML
	  comments".

2007-11-11  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fix part 1 of "Bug 340875 - Bugs 
	  while using XML comments". Smart indent for newlines in doc comments 
	  was being triggered by the Enter command with the autocompletion 
	  dropdown.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/CodeGenerator.cs, CSharpBindingCompilerManager.cs: Track
	  LoggingService API changes.

2007-11-08  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Don't try to look back at chars before
	  the beginning of the buffer when deciding how to handle tabs.
	  Restructure/comment the affected code so it's easier to understand.
	  Fixes "Bug 340270 - Ctrl+Tab caused exception".

2007-11-08  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs, Parser/Resolver.cs: Fixed "Bug 335140 -
	  MD does not exlude this class from base classes list".

2007-11-07  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed "Bug 339480 - Crash in XML comment
	  autocompletion".

2007-11-06  Zach Lute  <zach.lute@gmail.com>

	* Gui/CSharpTextEditorExtension.cs: Added missing null check to fix 
	  Bug #339445.

2007-11-06  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Override TextChanged in order to update
	  Smart Indent engine correctly when buffer is modified before its cursor.

2007-11-06  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: Fixed "Bug 336598 - Renaming variables by
	  refactoring replaces matches in the replace string" and "Bug 335977 -
	  Rename refactoring does not rename instance in foreach".

2007-11-06  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Fixed "Bug 337658 - MD intellisense does not work for
	  `value'".

2007-11-05  Michael Hutchinson <mhutchinson@novell.com> 

	* FormattingStrategy/CSharpIndentEngine.cs: Properly collapse folded
	  statements when a block is opened. Fixes the first complaint in "Bug
	  338383 - MD ignores existing source code structure.".

2007-11-05  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBindingCompilerManager.cs: Provide a better error message in case of
	  type load error in the compiler. Fixes bug #325380.

2007-11-05  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Include generic type parameters in completion list.
	  Fixes bug #334620.

2007-11-05  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Implemented completion context for
	  "SomeEnum e =". In this case the completion list will show the enum
	  name. Fixes bug #335142.

2007-11-05  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Include in the completion list the classes from parent
	  namespaces. Fixes bug #338394.

2007-11-05  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Improved completion of 'namespace'
	  keyword. Fixes bug #338392.

2007-11-01  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Restore IsAsResolve logic. Is/as are used for
	  downcasting, so it only makes sense to return subclasses of the provided
	  type.

2007-10-29  Michael Hutchinson  <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Don't try to look back past first 
	  char in buffer when checking whether to run completion code.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Bump MD version.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Track changes in the Icon extension node.

2007-10-26  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Avoid calling
	  expressionFinder.FindExpression on every keystroke, as it calls
	  FilterComments, which is very expensive (recorded 6% in statistical
	  profiling, the most time spent in any managed non-runtime method). It's
	  only called when the keystroke is completable -- not ideal, but an
	  improvement.

2007-10-25  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Removed GenerateDocComments' dependency
	  on indentEngine.

2007-10-25  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Minor optimisation.

2007-10-25  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Read context to end of line when
	  reindenting. Fixes "Bug 324985 - operator '::' behaves like goto label
	  in smart indentation".

2007-10-25  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: If indent engine says line needs to be
	  reindented, check it's as a result of an inserted character rather than
	  just navigating around the code.

2007-10-25  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Don't insert a tab if it's interpreted
	  as a reindent command.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBindingCompilerManager.cs: Make compilation work when the key file
	  contains white spaces. Fixes bug #336107.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.mdp, icons/C#.File.EmptyFile, icons/C#.File.Form,
	  icons/C#.File.FullFile, icons/C#.File.NewClass, icons/C#.File.WebFile,
	  icons/C#.Project.FullProject, icons/C#.Project.ServiceProject,
	  icons/C#.Project.UserControl, icons/C#.Project.WebProject,
	  icons/C#.ProjectIcon, Makefile.am, templates/EmptyCSharpFile.xft.xml,
	  templates/GnomeSharpProgram.xft.xml: Use tango file icons. Removed
	  obsolete icons.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.mdp, templates/ConsoleProject.xpt.xml,
	  templates/GtkSharpProject.xpt.xml, templates/GnomeSharpProject.xpt.xml,
	  templates/GnomeSharp2Project.xpt.xml,
	  templates/GtkSharp2Project.xpt.xml, templates/GnomeSharpProgram.xft.xml,
	  templates/GladeSharpProject.xpt.xml,
	  templates/GladeSharp2Project.xpt.xml, templates/Library.xpt.xml,
	  templates/EmptyProject.xpt.xml, Makefile.am, icons/C#.Project.Form,
	  icons/C#.Project.Library, icons/C#.Project.DOSProject,
	  icons/csharp-icon-32.png, icons/C#.Project.EmptyProject: Updated project
	  icons. Use the base project icon with an overlay to show the type.

2007-10-24  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Refactored the keypress code to separate
	  out the indent engine and doc comments, also splitting up the indent
	  handling code into three phases. Renamed "engine" to "indentEngine".
	  Improved handling of auto-commenting on newlines. Fixed "Bug 335824 -
	  Better handling of the 'tab' key". Fixed "Bug 326289 - MD texteditor is
	  painfully slow" by caching old indent stacks and bulk-copying characters
	  during large updates.

2007-10-23  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed "Bug 335145 - Intellisense
	  displays wrong entries for typeof statement".

2007-10-23  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Fixed "Bug 335133 - Intellisense does not display
	  object members for interfaces".

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml, Makefile.am, templates/GtkSharpWindow.xft.xml:
	  Removed the Gtk.Window template, because the Stetic addin already
	  provides a template for creating windows.
	* Autotools/Autotools.mdp, CSharpBinding.mdp, CSharpBinding.mds: Updated.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/OverrideCompletionData.cs: Flags for showing return types and
	  parameters must be explicitely specified now.

2007-10-18  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpParameterDataProvider.cs, Gui/CSharpTextEditorExtension.cs:
	  Fixed "Bug 325509 - Inaccessible methods displayed in autocomplete".

2007-10-17  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: changed is/as resolve.

2007-10-17  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Fixed "Bug 334236 - Intellisense does not work for
	  `is' keyword".

2007-10-17  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Let TypeNameResolver fill the names using the compiled
	  unit. Helps fixing bug #325081.

2007-10-17  Mike Krüger <mkrueger@novell.com> 

	* Parser/CSharpVisitor.cs: Modified visitor to handle explicit declarations.

2007-10-16  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: fixed "Bug 325528 - Intellisense contains multiple
	  entries of same namespace".

2007-10-16  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.mdp, Parser/TypeNameResolver.cs, Makefile.am: Moved
	  TypeNameResolver to MD.Projects.

2007-10-15  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed "Bug 333140 - Xml comment
	  generation only works when using "Smart" indentation".

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* CSharpBindingCompilerManager.cs: Applied changes that were neccassary for
	  to the new FileService.

2007-10-10  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpAmbience.cs: Always show parameter types.

2007-10-10  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpAmbience.cs: Properly show the method name for conversion operators.

2007-10-04  Zach Lute <zach.lute@gmail.com>

	* Parser/CSharpVisitor.cs: Added support for implicit/explicit operators as
	  methods. (Bug #330503)

2007-10-10  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpAmbience.cs: Formatting fixes.

2007-10-09  Mike Krüger <mkrueger@novell.com> 

	* CSharpAmbience.cs: Changed the C# ambience to recognize the new conversion
	  flags.

2007-10-09  Mike Krüger <mkrueger@novell.com> 

	* Parser/Parser.cs: Fixed "Bug 331772 - Unable to handle conditional class
	  definition".

2007-10-09  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed "Bug 331000 - Auto-generation of
	  XML comment tags sometimes incorrect".

2007-10-09  Ankit Jain  <jankit@novell.com>

	* CSharpBindingCompilerManger.cs: Moved code for building resources to
	DotNetProject.

2007-10-08  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: fixed "Bug 325223 - Interface refactory doesn't
	  implement correctly (4 bugs)".

2007-10-08  Mike Krüger <mkrueger@novell.com> 

	* Parser/ExpressionFinder.cs: Worked on "Bug 330717 - Error while updating
	  status of command. CurrentRefactoryOperations". Need to get reply, if
	  this bug is fixed (couldn't reproduce the problem).

2007-10-05  Ankit Jain  <jankit@novell.com>

	* Autotools/CSharpAutotoolsSetup.cs (GetCompilerFlags): Correctly emit
	flag for optimization. Don't emit -define:DEBUG if its already defined
	in DefineSymbols.

2007-10-05  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: fixed Bug 325523 - MD override
	  auto-implementation ignores existing implementations.

2007-10-05  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: fixed Bug 330793 - Delegate
	  autocommenting crashes.

2007-10-03  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/CSharpVisitor.cs, Parser/Resolver.cs: Properly resolve aliases
	  bound to instantiated generic types. Fixes bug #324844.
	* Parser/TypeNameResolver.cs: Resolve aliased class names.

2007-10-02  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpParameterDataProvider.cs, Gui/CSharpTextEditorExtension.cs:
	  Implemented support for the Show Parameter List command. Also, show the
	  parameter list when typing a comma. Fixes bug #324876.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Bump MD version.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Don't set the Editor.CursorPosition
	  property if position hasn't really changed, since it will raise the
	  completion context change event, which closes the completion window.

2007-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/CodeGenerator.cs: Fix regex in RenameClass. Class name may end with
	  ":".

2007-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/CodeGenerator.cs: Fix renaming of partial classes. It was using the
	  wrong IClass to get the line and column.

2007-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: When completing 'override', show
	  overridables for System.Object.

2007-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/OverrideCompletionData.cs: Generate call to base class when overriding
	  method. Fixes bug #325524.

2007-09-18  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed Bug 325438 - New doc completion
	  slowing me down.

2007-09-15  Jérémie Laval <jeremie.laval@gmail.com>

	* Parser/Parser.cs: Added support for parsing error retrieval from NRefactory.

2007-09-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/OverrideCompletionData.cs, Gui/CSharpTextEditorExtension.cs,
	  CSharpAmbience.cs: Make proper use of ITypeNameResolver everywhere to
	  resolve type names of parameters, methods, etc. Fixes bug #82854.
	* Parser/TypeNameResolver.cs: Fix name resolution for aliases.

2007-09-14  Jeffrey Stedfast  <fejj@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs (PushColon): Handle the
	:: operator. Fixes bug #82316.

2007-09-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Minor fix.
	* Parser/TypeNameResolver.cs: Remove debug code.

2007-09-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs, Parser/Resolver.cs,
	  Parser/TypeNameResolver.cs: Implement support for ITypeResolver. Add
	  parameter completion support for delegate invocations. Fixes bug #82264
	  and #82238.
	* CSharpBinding.mdp: Fix warning level. Added new file.
	* CSharpAmbience.cs: Track API changes.
	* Makefile.am: Updated.

2007-09-14  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: Fixed 82425:Renaming a base method doesn't rename
	  overrides. (Fixed for properties too).

2007-09-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpParameterDataProvider.cs: Improved method formatting.
	* Gui/CSharpTextEditorExtension.cs, Parser/Resolver.cs: When resolving a
	  type, take into account parameter types for methods and classes. Fixes
	  bug #82209.

2007-09-13  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpAmbience.cs: The name of a delegate is the name of the class, not
	  the return type of the invoke method. Don't show the delegate parameters
	  unless the 'show class modifiers' flag is set.

2007-09-13  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: Fixed re opened 82311: Rename fails when we have
	  two variables that are called the same. (another issue).

2007-09-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/LanguageItemVisitor.cs: Properly resolve "this". Fixes bug #82503.

2007-09-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Allow showing intrinsic names only when
	  resolving is, as or new.
	* Gui/FormattingPanel.cs, CSharpBinding.mdp,
	  gtk-gui/CSharpBinding.FormattingPanelWidget.cs, gtk-gui/gui.stetic:
	  Updated.
	* Parser/Resolver.cs: The text editor extension needs internalResolve to
	  return the real array types, not only System.Array. Fixes bug #82831.
	* CSharpAmbience.cs: Add support for the new UseIntrinsicNames flag.

2007-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Don't include abstract classes in the
	  'new' completion list.

2007-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/TypeVisitor.cs: Use the fully qualified name when returning the
	  type for array items. Fixes bug #82830.

2007-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs, Parser/TypeVisitor.cs: The 'this' reference is not
	  valid outside of a class member. Fix for bug #82743.

2007-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/ChooseRuntimePanel.cs, Gui/CodeGenerationPanel.cs,
	  FormattingStrategy/CSharpFormattingStrategy.cs, CSharpAmbience.cs: Fix
	  warnings.
	* Gui/CSharpTextEditorExtension.cs, Parser/Resolver.cs: Disable code
	  completion inside enum declarations. Fixes bug #82541. Removed some
	  warnings.
	* gtk-gui/generated.cs, gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs,
	  gtk-gui/CSharpBinding.FormattingPanelWidget.cs, gtk-gui/gui.stetic:
	  Updated.

2007-09-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed 82770: MonoDevelop should keep in
	  comments when return is pressed.

2007-09-12  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed 82768: Move cursor after new
	  summary comment.

2007-09-12  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: Fixed 82311: Rename fails when we have two
	  variables that are called the same.

2007-09-11  Ankit Jain  <jankit@novell.com>

	* CSharpBindingCompilerManager.cs (Compile): Pass /warn: command line
	param.

2007-09-11  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: Fixed 82500: Rename refactoring enum value
	  crashes MonoDevelop.

2007-09-10  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Fixed 82760: Nul ref enableing autocomplete.

2007-09-10  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed 82223: Overload selection does not
	  work when breaking the line.

2007-09-10   <> 

	* Gui/CSharpTextEditorExtension.cs: Fixed 82683: MonoDevelop should generate
	  XML documentation when /// is typed.

2007-09-07  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Track api changes.

2007-09-07  Mike Krüger <mkrueger@novell.com> 

	* Parser/Resolver.cs: Fixed 82505: No autocomplete for static members. Fixed
	  some other resolve cases too. (non static members only in non static
	  methods)

2007-09-07  Mike Krüger <mkrueger@novell.com> 

	* Parser/CodeGenerator.cs: Handled bug 82714: Invalid offset in text editor.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* Gui/ChooseRuntimePanel.cs, Gui/CodeGenerationPanel.cs,
	  Gui/FormattingPanel.cs, Parser/Resolver.cs,
	  FormattingStrategy/CSharpFormattingStrategy.cs,
	  FormattingStrategy/CSharpFormattingProperties.cs,
	  gtk-gui/CSharpBinding.CodeGenerationPanelWidget.cs,
	  gtk-gui/CSharpBinding.FormattingPanelWidget.cs, CSharpAmbience.cs:
	  Changes due to new property infrastructure.

2007-08-24  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Fixed 82555: Xml comments activating
	  incorrectly.

2007-08-23  Mike Krüger <mkrueger@novell.com> 

	* CSharpEnhancedCodeProvider.cs, Parser/Parser.cs, Parser/CSharpVisitor.cs,
	  Parser/CodeGenerator.cs, Parser/Resolver.cs, Parser/TypeVisitor.cs,
	  Parser/LanguageItemVisitor.cs,
	  Parser/SharpDevelopTree/GenericParameter.cs,
	  Parser/SharpDevelopTree/Destructor.cs,
	  Parser/SharpDevelopTree/Method.cs,
	  Parser/SharpDevelopTree/ReturnType.cs, Parser/SharpDevelopTree/Class.cs,
	  Parser/SharpDevelopTree/Constructor.cs: Changed to the latest NRefactory
	  version.

2007-08-23  Ankit Jain  <jankit@novell.com>

	* CSharpBindingCompilerManager.cs (GetResourceId): Set the resource id
	correctly even if resgen is not required.

2007-08-23  Ankit Jain  <jankit@novell.com>

	Fix bug #82533.
	* CSharpBindingCompilerManager.cs (GetResourceId): Generate .resources
	with resgen only if required.

2007-08-21  AndrÃ©s G. Aragoneses  <knocte@gmail.com>

	Improve fix for bug #82398.
	* CSharpBindingCompilerManager.cs (GetResourceId): Use MONO_IOMAP=drive,
	and only on Unix.

2007-08-20  Ankit Jain  <jankit@novell.com>

	* CSharpBindingCompilerManager.cs (Compile): Add all build files to the
	list of files to be compiled. Don't filter with CanCompile.

2007-08-16  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: When listing the members of an enum, return enum
	  members only (it is correct to call static methods using an enum type
	  reference, but it doesn't make much sense). Fixes bug #82250.

2007-08-16  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Method parameters must be resolved before class
	  members. Fixes bug #82391.

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Fix possible infinite recursion (bug #82303).

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Properly set the showStatic flag after finding a
	  member in SearchMember. Fixes a problem with nested classes and enums:
	  members were not properly shown.

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Properly resolve inner class names. Fixes part of
	  #82414.

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: When resolving a var name, parameters have priority
	  over fields.

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Include arguments in the resolve list for CtrlSpace.
	  Fixes bug #82391.

2007-08-14  Ankit Jain  <jankit@novell.com>

	Fix bug #82398.
	* CSharpBindingCompilerManager.cs (GetResourceId): Run resgen with
	MONO_IOMAP=all.

2007-08-14  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs,
	  FormattingStrategy/CSharpIndentEngineStack.cs,
	  FormattingStrategy/CSharpIndentEngine.cs: Added support for
	  documentation comments 
	
	  (fixes bug 78578: Add XML Comment support to MonoDevelop and
	  integrate with tooltips).
	
	  + Auto complete of /// tags
	
	  + code completion for the xml documentation tags
	
	  + auto generation of a header body

2007-08-13  Mike Krüger <mkrueger@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Started to work on xml comment tag
	  support.

2007-08-10  Ankit Jain  <jankit@novell.com>

	Fix bug #82394.
	* CSharpBindingCompilerManager.cs (Compile): Abort build if error while
	generating resources.
	(GetResourceId): Refactor slightly to report error. Also, parse
	the line/col number for the CompilerError.
	(RegexErrorLinePos): New.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml, Autotools/Makefile.am, CSharpBinding.mdp,
	  Makefile.am: Reorganized the extension point hierarchy. Embedded all
	  add-in manifests as resources.

2007-07-30  Lluis Sanchez Gual <lluis@novell.com> 

	* templates/CSharpSessionStateWebService.xft.xml,
	  templates/CSharpWebService.xft.xml: Removed unused files.

2007-07-30  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs: Add ctor references too. Fixes bug
	#82204.

	* Gui/CSharpTextEditorExtension.cs: Handle indent-region by
	resetting state so that we don't get confused.

2007-07-27  Jeffrey Stedfast  <fejj@novell.com>

	* FormattingStrategy/CSharpFormattingStrategy.cs (FormatLine):
	Fixed to be a no-op.

2007-07-25  Jeffrey Stedfast  <fejj@novell.com>

	Fixes for bug #82179.

	* FormattingStrategy/CSharpIndentEngineStack.cs (Push): Added a
	second Push() method allowing the caller to force a particular
	indent.

	* FormattingStrategy/CSharpIndentEngine.cs (PushOpenBrace): Trim
	the indent level as we pop FoldedStatements and use
	stack.PeekKeyword(0) instead of stack.PeekKeyword(1).
	(PushFoldedStatement): We no longer stop pushing folded statements
	for any reason, we simply push a folded statement with a set
	indent in those cases (needed for keeping proper track of
	keywords).

2007-07-24  Jeffrey Stedfast  <fejj@novell.com>

	Part of the fix for bug #82114.

	* Parser/CodeGenerator.cs: Override a few more Visit() methods so
	that we pick up class references in CastExpressions,
	VariableDeclarations and ObjectCreateExpressions.
	(AddUniqueReference): New method to add only unique references
	to the collection.

2007-07-23  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBindingCompilerManager.cs: Write the compiler command used to
	  compile the project to the log.

2007-07-18  Jeffrey Stedfast  <fejj@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs: A few fixes, including
	one for bug #82055.

	* Gui/CSharpTextEditorExtension.cs (IsInUsing): Simplified.
	(GetPreviousToken): Fixed bug #82131.

2007-07-17  Jeffrey Stedfast  <fejj@novell.com>

	* Gui/CSharpTextEditorExtension.cs (KeyPress): Fixed a bug caused
	when using any key other than Enter to auto-complete (e.g. using a
	'(' or something).

2007-07-17  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: When resolving a type, include the enclosing
	  namespace in the namespace search list. Fixes bug #81865.
	* CSharpBindingCompilerManager.cs: Make sure all output is read after
	  running the compilation process. Should fix bug #82092.

2007-07-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Properly resolve type names qualified with a
	  namespace alias. Fixes bug #81999.

2007-07-12  Jeffrey Stedfast  <fejj@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs (PushNewLine): If we
	just popped a single-line comment, we need to do more processing.

2007-07-11  Ankit Jain  <jankit@novell.com>

	Fix bug#82024.
	* CSharpBindingCompilerManager.cs (DoCompilation): Workaround for a bug
	in ProcessStartInfo.

2007-07-06  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (Visit::PropertyDeclaration):
	Implemented to fix bug #82020.

2007-07-05  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs: (Visit::FieldReferenceExpression):
	Don't limit ourselves to just Fields and Properties. Fixes bug
	#81963.
	(Visit::IdentifierExpression): When checking of a LocalVariable is
	within bounds, use Region.BeginColumn instead of Region.EndColumn
	and swap on which LocalVariable instance we check. Fixes part of
	bug #82020.

2007-07-05  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs: Sanity check that both begin and end
	are != -1 to prevent a crash.
	(Visit): When adding a typeDeclaration to the list of references,
	don't add it using the StartLocation - instead, we need to find
	the actual reference offset using StartLocation as a hint. This
	fixes bug #82017.

2007-07-03  Mike Krüger <mkrueger@novell.com> 

	* CSharpBindingCompilerManager.cs: added signing support.

2007-06-21  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBindingCompilerManager.cs: Implemented support for additional
	  gac roots specified in packages.

2007-06-20  Jeffrey Stedfast  <fejj@gnome.org>

	Fixes a SmartIndenting bug reported by Latexer on IRC.

	* FormattingStrategy/CSharpIndentEngine.cs (PushOpenBrace): When
	inside a Case statement, only use nSpaces = -1 when we are either
	on the line where the case/default label was entered or if the
	first non-lwsp char is the '{', else use nSpaces = 0 so that we
	indent properly.

	* FormattingStrategy/CSharpIndentEngineStack.cs (Push): When
	pushing a new Block inside a Case, we can still add an indent
	level if nSpaces != -1.

2007-06-19  Mike Krueger  <mkrueger@novell.com> 

	Changed the C# file icon to look a bit more like gnome.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* Autotools/Autotools.mdp, CSharpBinding.mdp: Removed unused elements.

2007-05-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Added protection against infinite loop in
	  ResolveIdentifier. Fixes bug #81769.

2007-05-25  Jeffrey Stedfast  <fejj@gnome.org>

	* Parser/CodeGenerator.cs (EncapsulateFieldImpGetSet):
	Implemented.

2007-05-24  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/TypeVisitor.cs (Visit::IdentifierExpression): Scan parent
	namespaces of the calling class as well. Fixes bug #81543.

2007-05-23  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (GetOptions): Override our base
	implementation.

2007-05-23  Jeffrey Stedfast  <fejj@novell.com>

	* Gui/CSharpTextEditorExtension.cs:
	MonoDevelop.SourceEditor.Properties namespace no longer exists.

	* FormattingStrategy/CSharpIndentEngine.cs: Same.

	* Gui/OverrideCompletionData.cs: Same.

	* Gui/FormattingPanel.cs: Same.

2007-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/TypeVisitor.cs: When resolving an identifier, look first in
	  class members, then look for types. Fixes bug #81542.

2007-05-21  Jeffrey Stedfast  <fejj@novell.com>

	* Gui/CSharpTextEditorExtension.cs (KeyPress): If a region of text
	is selected, then simply pass it along to our base implementation
	and reset our engine state if the region begins somewhere before
	the engine's cursor. Fixes bug #81620.

2007-05-18  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (IsMatchedField): New convenience
	function to do some trivial checks to make sure the 'match' isn't
	in the middle of some other field name (e.g. if the field we are
	looking for is a substring of another field name, we don't want to
	match in the middle of some other field).
	(GetMemberNamePosition): Fixed the IField case to be a bit more
	correct.
	(GetMemberBounds): Overridden base class' implementation for
	IFields so that we can get the subregion for a field declaration
	if it is in the middle of other field declarations within the same
	statement region.

2007-05-19  Ankit Jain  <jankit@novell.com>

	* CodeGenerationPanel.cs: GetProjectParserContext can fail, handle
	that.
	(Store): Save mainClass and Win32Icon only when relevant.

2007-05-17  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: Cursor already moved to
	  position 2 after typing '#'.

2007-05-16  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (EncapsulateField): Implemented so that
	get/set actually have code statements.

2007-05-14  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (RenameClass): Handle renaming of structs,
	enums, and interfaces too.

2007-05-15  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.cs: Include const fields in the static field list.
	  Fixes bug #81078.
	* CSharpBinding.mds, gtk-gui/gui.stetic: Updated.

2007-05-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CSharpTextEditorExtension.cs: (GetPreviousToken): Return tokens
	  composed by a single char which is not a letter of digits.

2007-05-14  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs: Comment out our own implementation of
	AddMember, throwing a NotImplementedException() in generated code
	can be annoying sometimes.

2007-05-14  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.addin.xml: Don't use the MD namespace in add-in
	  dependencies, since the c# add-in is alread declared in the MS
	  namespace.

2007-05-11  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (AddMember): Override default
	implementation so that we can add a statement to throw a
	NotImplementedException.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.mds: Added new c# binding solution.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* Autotools/Autotools.mdp, Autotools/Makefile.am: Added project for the
	  autotools assembly.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.mdp: Don't copy assembly references.

2007-05-08  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (GetMemberNamePosition): Fixed to
	support IIndexers.
	(FindParameterReference): Updated for API changes, no longer takes
	an IMethod argument.
	(Visit): Fixed up a bit since params can be parented by either an
	IMethod or an IIndexer.

2007-05-04  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (GetParameterNamePosition): Implemented.

	* Parser/Resolver.cs (GetMethod): Check if the cursor is within the
	declaration bounds as well, so that parameter searching works.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Test/Test.cs, Gui/ChooseRuntimePanel.cs, Gui/CodeGenerationPanel.cs,
	  CSharpBinding.addin.xml, CSharpBinding.mdp, Makefile.am: Migration
	  to Mono.Addins.

2007-05-03  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (GetMemberNamePosition): Fixed IEvent
	and IProperty logic and also greatly simplified the overall code.

2007-05-03  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (FindVariableNamePosition): New
	overloaded function to get the offset of a variable name.
	(FindVariableReferences): New.
	(FindParameterReferences): New.
	(Visit): Added logic for matching LocalVariable and IParameters.

2007-05-02  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (RenameClass): Rename all parts of the class
	(in case the class is a partial class).

2007-05-01  Jeffrey Stedfast  <fejj@novell.com>

	* Parser/CodeGenerator.cs (CreateReference): Trim the name to the
	base name (we don't want the FullyQualifiedName). Also do some
	fixing of the offset since the expression start offset begins
	before the name of the type (e.g. it includes
	public/private/etc modifiers).

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* CSharpBinding.mdp: Don't copy referenced assemblies.
	* CSharpBindingCompilerManager.cs: Avoid compiler warning.

2007-04-09  Jeffrey Stedfast  <fejj@novell.com>

	* FormattingStrategy/CSharpIndentEngineStack.cs: If we are pushing
	a new FoldedStatement, we want to indent another level even if our
	parent is a case-statement (unlike what we do for new Blocks).

2007-03-23  Jeffrey Stedfast  <fejj@novell.com>

	* Gui/CSharpTextEditorExtension.cs (GetPreviousToken):
	Reimplemented to use GetCharAt().
	(KeyPress): Invalidate engine state if some key-code we don't
	handle changes the buffer before our cursor position.

2007-03-21  Ankit Jain  <jankit@novell.com>

	* Gui/CSharpTextEditorExtension.cs (HandleCodeCompletion): Handle
	code completion for sub namespaces.
	(IsInUsing): New.
	(GetPreviousToken): Handle the case when token starts at the first
	position in the file.

2007-03-20  Jeffrey Stedfast  <fejj@novell.com>

	* Gui/CSharpParameterDataProvider.cs (GetCurrentParameterIndex):
	Rewritten to use my CSharpIndentEngine parse tree to hopefully
	solve bug #80883 once and for all.

	* Gui/CSharpTextEditorExtension.cs (KeyPress): Instead of using
	engine.IsInsideMultiLineComment when deciding whether or not to
	reindent the line, use engine.LineBeganInsideMultiLineComment
	since that's what we really wanted to know.

	* FormattingStrategy/CSharpIndentEngine.cs: Added more convenience
	state properties (such as StackDepth and
	LineBeaganInside[VerbatimString,MultiLineComment].

2007-03-19  Jeffrey Stedfast  <fejj@novell.com>

	* Gui/CSharpTextEditorExtension.cs (KeyPress): If the before/after
	indent text is identical, then don't replace the text - instead
	calculate what the cursor position would be and set it. (found a
	way to avoid the text selection that occurs when you set
	CursorPosition).

	* FormattingStrategy/CSharpIndentEngine.cs (Push): Fix bug #81189
	by resetting popVerbarim when we pop the verbatim string literal
	off the stack

2007-03-16  Jeffrey Stedfast  <fejj@novell.com>

	* Gui/OverrideCompletionData.cs (InsertMethod, InsertProperty):
	(InsertEvent, InsertIndexer): Use spaces rather than tabs for
	indenting when appropriate. Fixes bug #81168.

	* Gui/CSharpTextEditorExtension.cs (GetDirectiveCompletionData):
	Add #pragma to the directives. Fixes bug #81131.

2007-03-14  Jeffrey Stedfast  <fejj@novell.com>

	* Gui/CSharpTextEditorExtension.cs (KeyPress): Fixed a bug where
	if you typed the full completion text and then used <Enter> to
	complete the fully-typed completion text, the Smart Indent code
	would indent the next line even though it shouldn't have done so.

2007-03-14  Ankit Jain  <jankit@novell.com>

	* CSharpBindingCompilerManager.cs (Compile): Use 'fname' as the
	filename to embed. It is updated appropriately by GetResourceId().

2007-03-13  Miguel de Icaza  <miguel@novell.com>

	* CSharpBindingCompilerManager.cs (Compile): an old patch that I
	had lying on my hard drive.   When using WinExe targets, pass the
	"winexe" flag to the compiler.

	Also pass the actual compiled resource file to be embedded, not
	the source file. 

2007-03-13  Jeffrey Stedfast  <fejj@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs (PushFoldedStatement):
	Push one anyway if our keyword (or our parent's keyword) is a loop
	or if-else keyword.

2007-03-11  Jeffrey Stedfast  <fejj@gnome.org>

	* Gui/CSharpTextEditorExtension.cs (KeyPress): Simplified a bit.
	(KeyPress): Changed the logic for the tab-completion check, if
	more than a single char has been inserted then it should be
	considered to be tab-completion.
	(KeyPress): Don't reindent multi-line comment lines unless they
	begin with a '*', in which case the user probably wants to realign
	them (if the first char on the line isn't a '*' then it might be a
	commented-out block of code, we don't want to reindent that).

2007-03-10  Jeffrey Stedfast  <fejj@gnome.org>

	* FormattingStrategy/CSharpIndentEngineStack.cs (Push): We now
	have an Inside.Case type to implement.

	* FormattingStrategy/CSharpIndentEngine.cs (PushColon): Push a
	Inside.Case onto the stack if appropriate and check
	FormattingProperties.IndentCaseLabels to see how we should handle
	indenting for case labels.
	(PushSemicolon): Always set keyword to String.Empty
	(PushOpenBrace): Changed the way we handle psuing a new block onto
	the stack if we our parent is Inside.Case (the logic is the same,
	but the check is a bit different now).
	(PushCloseBrace): If our parent is Inside.Case, then we can pop
	that along with the switch block.

	* FormattingStrategy/CSharpFormattingProperties.cs
	(IndentCaseLabels): Implemented.

2007-03-09  Jeffrey Stedfast  <fejj@novell.com>

	* CSharp.glade: Removed, no longer in use.

	* CSharpBinding.addin.xml: Add the c# Formatting options panel to
	the options dialog under the Text Editor options.

	* gtk-gui/gui.stetic: Added a new custom FormattingPanelWidget.

	* Gui/FormattingPanel.cs: New source file implementing a
	"Formatting" options panel specific to c#.

2007-03-09  Jeffrey Stedfast  <fejj@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs (PushColon): Respect
	the style settings for indenting goto labels.

	* FormattingStrategy/CSharpFormattingProperties.cs: New source
	file for c#-specific formatting properties.

2007-03-09  Jeffrey Stedfast  <fejj@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs (Push): Fixed a goof
	from yesterday's commit.

	* Gui/CSharpTextEditorExtension.cs (KeyPress): Rearranged some
	logic a bit to optimize seeking in the text buffer using arrow
	keys.

2007-03-08  Jeffrey Stedfast  <fejj@novell.com>

	* FormattingStrategy/CSharpIndentEngine.cs: Got rid of the hack
	that used this.commentEndedAt which was not only nasty, but didn't
	even always work right to begin with.

